# Accounting API Source: https://docs.maesn.com/api-reference/accounting-endpoints/accounting-overview You can use this API to access all Accounting API endpoints. ## Base URL The base URL for all endpoints is `https://api.maesn.dev` ## Data models The following unified data models are supported in the Accounting API: ### Accounts An `Account` represents a category in a company’s ledger in which a financial transaction is recorded against. The aggregation of each Account object is often referred to as the 'Chart of Accounts'. ### Bank account A `Bank account` is a company’s financial account, used to manage cash flow and record transactions like deposits and payments. It includes details like iban, bank name, and currency. ### Bills A `Bill` object represents an itemized record of goods and/or services bought from a supplier. ### Booking proposal A `Booking proposal` is a suggested accounting entry that includes all the relevant data needed for a financial transaction, such as the accounts involved, amounts, and any additional information required. ### Booking A `Booking` is a confirmed accounting entry that has been recorded in the accounting system, typically resulting from a booking proposal. It includes all the necessary details such as accounts, amounts, and any additional information required for the transaction. ### Contacts A `Contact` is an individual or business entity to which products and services are sold to or purchased from. The contact model contains both Customers, whom products and services are sold to, and Suppliers (or Vendors), whom products and services are purchased from. Note that it is preferred to use the `Customers` and `Suppliers` models and that contacts are only supported as an exception, for systems where a contact cannot be classied as a customer or supplier in a deterministic way. ### Customers The `Customer` object represents an individual or business entity to which products and services are sold. ### Dimensions A `Dimension` is a categorization method used to classify transactions within an accounting platform. ### Credit notes A `Credit note` is a transaction issued to a customer, indicating a reduction or cancellation of the amount owed by the customer. It is most generally used as an adjustment note used to rectify errors, returns, or overpayments related to a sales transaction. ### Expenses An `Expense` represents a direct purchase by a business, typically made with a check, credit card, or cash. Each Expense object is dedicated to a grouping of expenses, with each expense recorded in the lines object. The Expense object is also used used to represent refunds to direct purchases. Refunds can be distinguished from purchases by the amount sign of the records. Expense objects with a negative amount are purchases and Expense objects with a positive amount are refunds to those purchases. is a transaction issued to a customer, indicating a reduction or cancellation of the amount owed by the customer. It is most generally used as an adjustment note used to rectify errors, returns, or overpayments related to a sales transaction. ### Files A `File` is simply a data file, typically representing a "voucher", such as an invoice, a bill, a credit note, a delivery note, a delivery confirmation, a receipt or similar in an accounting system. ### Fiscal years A `Fiscal year` represents the financial reporting period configured for a company. It defines the start and end dates used for accounting, reporting, and tax purposes. ### Goods Receipts A Goods receipt is a record that confirms items were received from a supplier and updates inventory accordingly. ### Invoices The `Invoice` object represents an itemized record of goods and/or services sold to a customer. ### Items An `Item` refers to any product, material, or service that a business manages, tracks, or sells within its operations. ### Journals A Journal is a collection of related journal entries used to organize financial transactions by category or source, such as sales, purchases, or bank activities, within a company's ledger. ### Journal entry A `Journal entry` is a record of a transaction or event that is entered into a company's accounting system. The JournalEntry common model contains records that are automatically created as a result of a certain type of transaction, like an `invoice`, and records that are manually created against a company’s ledger. The lines of a given journal entry object should always sum to 0. A positive net\_amount means the line represents a debit and a negative net\_amount represents a credit. ### Offers An `Offer` is a formal document provided by a seller to a potential buyer that outlines the details and pricing of goods or services the seller proposes to provide. ### Open items An `Open item` is a receivable or payable that has been recorded in the accounting system but is not yet fully settled. ### Payments A `Payment` is a financial transaction that transfers funds from one account to another. ### Payment terms A `Payment term` defines the agreed conditions between a buyer and a seller regarding when and how an invoice must be paid, including due dates, early payment discounts, and late fees. ### Projects A `Project` is a financial entity used to track revenues, expenses, budgets, and profitability for a specific initiative or objective. ### Purchase orders A Purchase order is a document sent by a buyer to a supplier to request goods or services. It includes details like items, quantities, prices, and delivery terms, serving as a formal agreement. ### Sales orders A `Sales order` is a record that documents and tracks a customer's purchase request, serving as an internal authorization for the sale and a basis for generating invoices, managing inventory, and recognizing revenue. ### Suppliers A `Supplier` is an individual or business entity from which products and services are bought. ### Tax rates A `Tax rate` is a predefined classification that determines the applicable tax percentage and rules for financial transactions. ### Transactions The `Transaction` common model includes records of all types of transactions that do not appear in other common models. It will contain all types of transactions outside of: * Bills * Credit notes * Invoices * Vendor credits ### Trial balance The `Trial balance` is a report that provides an overview of all ledger accounts and their balances. ### Units A `Unit` is a measurement standard used to quantify and describe the amount of a product or service, such as pieces, kilograms, liters, or hours. ### Users A `User` represents a user account in an accounting system. ### Vendor credits A `Vendor credit` is a transaction issued by a supplier to the accounting company, indicating a reduction or cancellation of the amount owed to the supplier. It is most generally used as an adjustment note used to rectify errors, returns, or overpayments related to a purchasing transaction. # Create account Source: https://docs.maesn.com/api-reference/accounting-endpoints/accounts/create-account post /accounting/accounts ## Field support per integration If you're not using the [Interactive Authentication Flow](/authentication#interactive-authentication-flow), make sure the query parameter `companyId` is correctly populated. You can obtain this value by using the `GET Companies` endpoint available under the Authentication section. Supported request fields: Available options: `CASH`, `BANK`, `CREDIT_CARD`, `PAYMENT_PROVIDER`, `ACCOUNTS_RECEIVABLE`, `PRE_PAYMENT`, `ACCOUNTS_PAYABLE`, `VAT`, `EMPLOYEES_PAYABLE`, `PREPAID_EXPENSES`, `ACCRUED_EXPENSES`, `INCOME_TAX_PAYABLE`, `FIXED_ASSET`, `NON_CURRENT_ASSET`, `DEPRECIATION`, `INVENTORY`, `EQUITY`, `RETAINED_EARNINGS`, `LONG_TERM_LIABILITY`, `CURRENT_LIABILITY`, `OTHER`, `TAX_PAYABLE`, `REVENUE`, `COST_OF_GOODS_SOLD`, `OTHER_EXPENSE`, `OVERHEADS`, `DEPRECIATION`, `RESEARCH_AND_DEVELOPMENT`, `EMPLOYEE_COSTS`, `EMPLOYMENT_COSTS`, `EXCEPTIONAL_COSTS`, `EXCEPTIONAL_INCOME`, `INCOME_TAXES`, `INTEREST_INCOME`, `YEAR_END_REFLECTION`, `INDIRECT_YEAR_END_COSTING`, `DIRECT_YEAR_END_COSTING` Supported request fields: Available options: `ACTIVE`, `ARCHIVED`
Supported request fields: Available options: `ASSET`, `EQUITY`, `EXPENSE`, `LIABILITY`, `REVENUE` Available options: `ACTIVE`, `ARCHIVED`
If you're not using the [Interactive Authentication Flow](/authentication#interactive-authentication-flow), make sure the query parameter `companyId` is correctly populated. You can obtain this value by using the `GET Companies` endpoint available under the Authentication section. Please use the id field as the companyId. Supported request fields: Available options: `ACTIVE`, `ARCHIVED` Available options: `CUSTOMER`, `PROVIDER`, `BANK`, `CASH`, `CHARGE`, `REVENUE`, `CAPITAL`, `FIXED_ASSET`, `MANAGEMENT_RESULT`, `DEPRECIATION_PROVISION`, `STOCK`, `RESULT_BALANCE_SHEET`, `EMPLOYEE`, `TITLE`, `CURRENT_ASSETS`, `BORROWED_CAPITAL`, `COST`, `REDUCTION_IN_EXPENSES`, `NEUTRAL_REVENUE`, `NEUTRAL_EXPENSES`, `SALES_DEDUCTION`, `EXCHANGE_RATE_INCOME`, `EXCHANGE_RATE_EXPENSE`, `BALANCE_CARRIED_FORWARD`, `AGGREGATE_CARRIED_FORWARD`, `OTHER_BALANCE_SHEET_ACCOUNT`, `STATISTICAL_BALANCE`, `STATISTICAL_CONSUMPTION`, `CURRENT_ASSETS_INPUT_TAX`, `BORROWED_CAPITAL_OUTPUT_TAX`, `CUSTOMER_PREPAYMENT`, `SUPPLIER_PREPAYMENT`, `CUSTOMER_PREPAYMENT_TAX_INCLUDED`, `SUPPLIER_PREPAYMENT_TAX_INCLUDED`, `INPUT_TAX`, `OUTPUT_TAX`, `SUPPLIER_RETURNABLE_PACKAGING`, `CUSTOMER_RETURNABLE_PACKAGING` Supported request fields: Available options (3-letter ISO 4217):\ `AED`, `AFN`, `ALL`, `AMD`, `ANG`, `AOA`, `ARS`, `AUD`, `AWG`, `AZN`, `BAM`, `BBD`, `BDT`, `BGN`, `BHD`, `BIF`, `BMD`, `BND`, `BOB`, `BRL`, `BSD`, `BTN`, `BWP`, `BYR`, `BZD`, `CAD`, `CDF`, `CHF`, `CLP`, `CNY`, `COP`, `CRC`, `CUC`, `CVE`, `CZK`, `DJF`, `DKK`, `DOP`, `DZD`, `EEK`, `EGP`, `ERN`, `ETB`, `EUR`, `FJD`, `FKP`, `GBP`, `GEL`, `GHS`, `GIP`, `GMD`, `GNF`, `GQE`, `GTQ`, `GYD`, `HKD`, `HNL`, `HRK`, `HTG`, `HUF`, `IDR`, `ILS`, `INR`, `IQD`, `IRR`, `ISK`, `JMD`, `JOD`, `JPY`, `KES`, `KGS`, `KHR`, `KMF`, `KPW`, `KRW`, `KWD`, `KYD`, `KZT`, `LAK`, `LBP`, `LKR`, `LRD`, `LSL`, `LTL`, `LVL`, `LYD`, `MAD`, `MDL`, `MGA`, `MKD`, `MMK`, `MNT`, `MOP`, `MRO`, `MUR`, `MVR`, `MWK`, `MXN`, `MYR`, `MZM`, `NAD`, `NGN`, `NIO`, `NOK`, `NPR`, `NZD`, `OMR`, `PAB`, `PEN`, `PGK`, `PHP`, `PKR`, `PLN`, `PYG`, `QAR`, `RON`, `RSD`, `RUB`, `SAR`, `SBD`, `SCR`, `SDG`, `SEK`, `SGD`, `SHP`, `SLL`, `SOS`, `SRD`, `SYP`, `SZL`, `THB`, `TJS`, `TMT`, `TND`, `TRY`, `TTD`, `TWD`, `TZS`, `UAH`, `UGX`, `USD`, `UYU`, `UZS`, `VEB`, `VND`, `VUV`, `WST`, `XAF`, `XCD`, `XDR`, `XOF`, `XPF`, `YER`, `ZAR`, `ZMK`, `ZWR` Available options: `ACTIVE`, `ARCHIVED` Available options:\ `BANK`, `CURRENT_ASSET`, `CURRENT_LIABILITY`, `DEPRECIATION`, `DIRECT_COSTS`, `EQUITY`, `EXPENSE`, `FIXED_ASSET`, `INVENTORY`, `LIABILITY`, `NON_CURRENT_ASSET`, `OTHER_INCOME`, `OVERHEADS`, `PRE_PAYMENT`, `REVENUE`, `SALES`, `NON_CURRENT_LIABILITY`
# Get account Source: https://docs.maesn.com/api-reference/accounting-endpoints/accounts/get-account get /accounting/accounts/{accountId} ## Field support per integration If you're not using the [Interactive Authentication Flow](/authentication#interactive-authentication-flow), make sure the query parameters `environmentName` and `companyId` are correctly populated. You can obtain these values by using the `GET Environments` and `GET Companies` endpoints available under the Authentication section. Query parameters: Supported response fields: Available options: `ASSET`, `EQUITY`, `EXPENSE`, `LIABILITY`, `REVENUE` Business Central allows custom account classes. If custom values are used and no clear mapping to the provided enums exists, the field will return the original string value. Query parameters: Supported response fields: Available options: `ACTIVE`, `ARCHIVED` Query parameters: Supported response fields: Available options: `ASSET`, `EQUITY`, `EXPENSE`, `LIABILITY`, `REVENUE` Available options (3-letter ISO 4217): `AED`, `AFN`, `ALL`, `AMD`, `ANG`, `AOA`, `ARS`, `AUD`, `AWG`, `AZN`, `BAM`, `BBD`, `BDT`, `BGN`, `BHD`, `BIF`, `BMD`, `BND`, `BOB`, `BRL`, `BSD`, `BTN`, `BWP`, `BYR`, `BZD`, `CAD`, `CDF`, `CHF`, `CLP`, `CNY`, `COP`, `CRC`, `CUC`, `CVE`, `CZK`, `DJF`, `DKK`, `DOP`, `DZD`, `EEK`, `EGP`, `ERN`, `ETB`, `EUR`, `FJD`, `FKP`, `GBP`, `GEL`, `GHS`, `GIP`, `GMD`, `GNF`, `GQE`, `GTQ`, `GYD`, `HKD`, `HNL`, `HRK`, `HTG`, `HUF`, `IDR`, `ILS`, `INR`, `IQD`, `IRR`, `ISK`, `JMD`, `JOD`, `JPY`, `KES`, `KGS`, `KHR`, `KMF`, `KPW`, `KRW`, `KWD`, `KYD`, `KZT`, `LAK`, `LBP`, `LKR`, `LRD`, `LSL`, `LTL`, `LVL`, `LYD`, `MAD`, `MDL`, `MGA`, `MKD`, `MMK`, `MNT`, `MOP`, `MRO`, `MUR`, `MVR`, `MWK`, `MXN`, `MYR`, `MZM`, `NAD`, `NGN`, `NIO`, `NOK`, `NPR`, `NZD`, `OMR`, `PAB`, `PEN`, `PGK`, `PHP`, `PKR`, `PLN`, `PYG`, `QAR`, `RON`, `RSD`, `RUB`, `SAR`, `SBD`, `SCR`, `SDG`, `SEK`, `SGD`, `SHP`, `SLL`, `SOS`, `SRD`, `SYP`, `SZL`, `THB`, `TJS`, `TMT`, `TND`, `TRY`, `TTD`, `TWD`, `TZS`, `UAH`, `UGX`, `USD`, `UYU`, `UZS`, `VEB`, `VND`, `VUV`, `WST`, `XAF`, `XCD`, `XDR`, `XOF`, `XPF`, `YER`, `ZAR`, `ZMK`, `ZWR` Available options: `ACTIVE`, `ARCHIVED` Query parameters: Supported response fields: Available options: `ASSET`, `EQUITY`, `EXPENSE`, `LIABILITY`, `REVENUE` Available options (3-letter ISO 4217): `AED`, `AFN`, `ALL`, `AMD`, `ANG`, `AOA`, `ARS`, `AUD`, `AWG`, `AZN`, `BAM`, `BBD`, `BDT`, `BGN`, `BHD`, `BIF`, `BMD`, `BND`, `BOB`, `BRL`, `BSD`, `BTN`, `BWP`, `BYR`, `BZD`, `CAD`, `CDF`, `CHF`, `CLP`, `CNY`, `COP`, `CRC`, `CUC`, `CVE`, `CZK`, `DJF`, `DKK`, `DOP`, `DZD`, `EEK`, `EGP`, `ERN`, `ETB`, `EUR`, `FJD`, `FKP`, `GBP`, `GEL`, `GHS`, `GIP`, `GMD`, `GNF`, `GQE`, `GTQ`, `GYD`, `HKD`, `HNL`, `HRK`, `HTG`, `HUF`, `IDR`, `ILS`, `INR`, `IQD`, `IRR`, `ISK`, `JMD`, `JOD`, `JPY`, `KES`, `KGS`, `KHR`, `KMF`, `KPW`, `KRW`, `KWD`, `KYD`, `KZT`, `LAK`, `LBP`, `LKR`, `LRD`, `LSL`, `LTL`, `LVL`, `LYD`, `MAD`, `MDL`, `MGA`, `MKD`, `MMK`, `MNT`, `MOP`, `MRO`, `MUR`, `MVR`, `MWK`, `MXN`, `MYR`, `MZM`, `NAD`, `NGN`, `NIO`, `NOK`, `NPR`, `NZD`, `OMR`, `PAB`, `PEN`, `PGK`, `PHP`, `PKR`, `PLN`, `PYG`, `QAR`, `RON`, `RSD`, `RUB`, `SAR`, `SBD`, `SCR`, `SDG`, `SEK`, `SGD`, `SHP`, `SLL`, `SOS`, `SRD`, `SYP`, `SZL`, `THB`, `TJS`, `TMT`, `TND`, `TRY`, `TTD`, `TWD`, `TZS`, `UAH`, `UGX`, `USD`, `UYU`, `UZS`, `VEB`, `VND`, `VUV`, `WST`, `XAF`, `XCD`, `XDR`, `XOF`, `XPF`, `YER`, `ZAR`, `ZMK`, `ZWR` Available options: `ACTIVE`, `ARCHIVED` If you're not using the [Interactive Authentication Flow](/authentication#interactive-authentication-flow), make sure the query parameter `companyId` is correctly populated. You can obtain this value by using the `GET Companies` endpoint available under the Authentication section. Please use the id field as the companyId. Query parameters: Supported response fields: Available options: `ACTIVE`, `ARCHIVED` Available options: `CUSTOMER`, `PROVIDER`, `BANK`, `CASH`, `CHARGE`, `REVENUE`, `CAPITAL`, `FIXED_ASSET`, `MANAGEMENT_RESULT`, `DEPRECIATION_PROVISION`, `STOCK`, `RESULT_BALANCE_SHEET`, `EMPLOYEE`, `TITLE`, `CURRENT_ASSETS`, `BORROWED_CAPITAL`, `COST`, `REDUCTION_IN_EXPENSES`, `NEUTRAL_REVENUE`, `NEUTRAL_EXPENSES`, `SALES_DEDUCTION`, `EXCHANGE_RATE_INCOME`, `EXCHANGE_RATE_EXPENSE`, `BALANCE_CARRIED_FORWARD`, `AGGREGATE_CARRIED_FORWARD`, `OTHER_BALANCE_SHEET_ACCOUNT`, `STATISTICAL_BALANCE`, `STATISTICAL_CONSUMPTION`, `CURRENT_ASSETS_INPUT_TAX`, `BORROWED_CAPITAL_OUTPUT_TAX`, `CUSTOMER_PREPAYMENT`, `SUPPLIER_PREPAYMENT`, `CUSTOMER_PREPAYMENT_TAX_INCLUDED`, `SUPPLIER_PREPAYMENT_TAX_INCLUDED`, `INPUT_TAX`, `OUTPUT_TAX`, `SUPPLIER_RETURNABLE_PACKAGING`, `CUSTOMER_RETURNABLE_PACKAGING` Query parameters: Supported response fields: Available options: `ASSET`, `EQUITY`, `EXPENSE`, `LIABILITY`, `REVENUE` Available options (3-letter ISO 4217): `AED`, `AFN`, `ALL`, `AMD`, `ANG`, `AOA`, `ARS`, `AUD`, `AWG`, `AZN`, `BAM`, `BBD`, `BDT`, `BGN`, `BHD`, `BIF`, `BMD`, `BND`, `BOB`, `BRL`, `BSD`, `BTN`, `BWP`, `BYR`, `BZD`, `CAD`, `CDF`, `CHF`, `CLP`, `CNY`, `COP`, `CRC`, `CUC`, `CVE`, `CZK`, `DJF`, `DKK`, `DOP`, `DZD`, `EEK`, `EGP`, `ERN`, `ETB`, `EUR`, `FJD`, `FKP`, `GBP`, `GEL`, `GHS`, `GIP`, `GMD`, `GNF`, `GQE`, `GTQ`, `GYD`, `HKD`, `HNL`, `HRK`, `HTG`, `HUF`, `IDR`, `ILS`, `INR`, `IQD`, `IRR`, `ISK`, `JMD`, `JOD`, `JPY`, `KES`, `KGS`, `KHR`, `KMF`, `KPW`, `KRW`, `KWD`, `KYD`, `KZT`, `LAK`, `LBP`, `LKR`, `LRD`, `LSL`, `LTL`, `LVL`, `LYD`, `MAD`, `MDL`, `MGA`, `MKD`, `MMK`, `MNT`, `MOP`, `MRO`, `MUR`, `MVR`, `MWK`, `MXN`, `MYR`, `MZM`, `NAD`, `NGN`, `NIO`, `NOK`, `NPR`, `NZD`, `OMR`, `PAB`, `PEN`, `PGK`, `PHP`, `PKR`, `PLN`, `PYG`, `QAR`, `RON`, `RSD`, `RUB`, `SAR`, `SBD`, `SCR`, `SDG`, `SEK`, `SGD`, `SHP`, `SLL`, `SOS`, `SRD`, `SYP`, `SZL`, `THB`, `TJS`, `TMT`, `TND`, `TRY`, `TTD`, `TWD`, `TZS`, `UAH`, `UGX`, `USD`, `UYU`, `UZS`, `VEB`, `VND`, `VUV`, `WST`, `XAF`, `XCD`, `XDR`, `XOF`, `XPF`, `YER`, `ZAR`, `ZMK`, `ZWR` Available options: `ACTIVE`, `ARCHIVED` Available options:\ `BANK`, `CURRENT_ASSET`, `CURRENT_LIABILITY`, `DEPRECIATION`, `DIRECT_COSTS`, `EQUITY`, `EXPENSE`, `FIXED_ASSET`, `INVENTORY`, `LIABILITY`, `NON_CURRENT_ASSET`, `OTHER_INCOME`, `OVERHEADS`, `PRE_PAYMENT`, `REVENUE`, `SALES`, `NON_CURRENT_LIABILITY` # Get accounts Source: https://docs.maesn.com/api-reference/accounting-endpoints/accounts/get-accounts GET /accounting/accounts ## Field support per integration Query parameters: Available options: `5`, `10`, `20`, `50`, `100` Supported response fields: Available options: `ASSET`, `EXPENSE`, `LIABILITY`, `REVENUE`, `COMPLETE` Available options: `ACTIVE`, `ARCHIVED` If you're not using the [Interactive Authentication Flow](/authentication#interactive-authentication-flow), make sure the query parameters `environmentName` and `companyId` are correctly populated. You can obtain these values by using the `GET Environments` and `GET Companies` endpoints available under the Authentication section. Query parameters: Available options: `5`, `10`, `20`, `50`, `100` Filter by last modified date.
Example: `lastModifiedAt=2021-01-01T00:00:00Z`
Supported response fields: Available options:\ `ASSET`, `EQUITY`, `EXPENSE`, `LIABILITY`, `REVENUE` Business Central allows custom account classes. If custom values are used and no clear mapping to the provided enums exists, the field will return the original string value.
The query parameter `fiscalYearStartDate` is required and must be a valid date. If you're not using the [Interactive Authentication Flow](/authentication#interactive-authentication-flow), make sure the query parameter `companyId` is correctly populated. For DATEV-specific field explanations (account functions, etc.), [contact us](https://www.maesn.com/contact/). Query parameters: Available options: `5`, `10`, `20`, `50`, `100` Return data for fiscal year starting with given date.
Example: `fiscalYearStartDate=2023-01-01`
Filter by account active status.
Example: `isActive=true` to retrieve only the active (booked) accounts.

Supported response fields:
If you're not using the [Interactive Authentication Flow](/authentication#interactive-authentication-flow), make sure the query parameter `companyId` is correctly populated. You can obtain this value by using the `GET Companies` endpoint available under the Authentication section. Query parameters: Supported response fields: Available options: `CASH`,`ACCOUNTS_RECEIVABLE`,`ACCOUNTS_PAYABLE` If you're not using the [Interactive Authentication Flow](/authentication#interactive-authentication-flow), make sure the query parameter `companyId` is correctly populated. You can obtain this value by using the `GET Companies` endpoint available under the Authentication section. Query parameters: Available options: `5`, `10`, `20`, `50`, `100`
Supported response fields:
If you're not using the [Interactive Authentication Flow](/authentication#interactive-authentication-flow), make sure the query parameter `companyId` is correctly populated. You can obtain this value by using the `GET Companies` endpoint available under the Authentication section. Query parameters: Available options: `5`, `10`, `20`, `50`, `100` Filter by last modified date.
Example: `lastModifiedAt=2021-01-01T00:00:00Z`
Filter by account class.
Available options: `AASET`, `LIABILITY`, `EXPENSE`, `REVENUE`, `EQUITY` Example: `classFilter=EXPENSE`
Filter by account active status.
Example: `isActive=true`
Supported response fields: Available options: `ASSET`, `EQUITY`, `EXPENSE`, `LIABILITY`, `REVENUE` Available options (3-letter ISO 4217): `AED`, `AFN`, `ALL`, `AMD`, `ANG`, `AOA`, `ARS`, `AUD`, `AWG`, `AZN`, `BAM`, `BBD`, `BDT`, `BGN`, `BHD`, `BIF`, `BMD`, `BND`, `BOB`, `BRL`, `BSD`, `BTN`, `BWP`, `BYR`, `BZD`, `CAD`, `CDF`, `CHF`, `CLP`, `CNY`, `COP`, `CRC`, `CUC`, `CVE`, `CZK`, `DJF`, `DKK`, `DOP`, `DZD`, `EEK`, `EGP`, `ERN`, `ETB`, `EUR`, `FJD`, `FKP`, `GBP`, `GEL`, `GHS`, `GIP`, `GMD`, `GNF`, `GQE`, `GTQ`, `GYD`, `HKD`, `HNL`, `HRK`, `HTG`, `HUF`, `IDR`, `ILS`, `INR`, `IQD`, `IRR`, `ISK`, `JMD`, `JOD`, `JPY`, `KES`, `KGS`, `KHR`, `KMF`, `KPW`, `KRW`, `KWD`, `KYD`, `KZT`, `LAK`, `LBP`, `LKR`, `LRD`, `LSL`, `LTL`, `LVL`, `LYD`, `MAD`, `MDL`, `MGA`, `MKD`, `MMK`, `MNT`, `MOP`, `MRO`, `MUR`, `MVR`, `MWK`, `MXN`, `MYR`, `MZM`, `NAD`, `NGN`, `NIO`, `NOK`, `NPR`, `NZD`, `OMR`, `PAB`, `PEN`, `PGK`, `PHP`, `PKR`, `PLN`, `PYG`, `QAR`, `RON`, `RSD`, `RUB`, `SAR`, `SBD`, `SCR`, `SDG`, `SEK`, `SGD`, `SHP`, `SLL`, `SOS`, `SRD`, `SYP`, `SZL`, `THB`, `TJS`, `TMT`, `TND`, `TRY`, `TTD`, `TWD`, `TZS`, `UAH`, `UGX`, `USD`, `UYU`, `UZS`, `VEB`, `VND`, `VUV`, `WST`, `XAF`, `XCD`, `XDR`, `XOF`, `XPF`, `YER`, `ZAR`, `ZMK`, `ZWR` Available options: `ACTIVE`, `ARCHIVED` Available options: `CASH`, `BANK`, `CREDIT_CARD`, `PAYMENT_PROVIDER`, `ACCOUNTS_RECEIVABLE`, `PRE_PAYMENT`, `ACCOUNTS_PAYABLE`, `VAT`, `EMPLOYEES_PAYABLE`, `PREPAID_EXPENSES`, `ACCRUED_EXPENSES`, `INCOME_TAX_PAYABLE`, `FIXED_ASSET`, `NON_CURRENT_ASSET`, `DEPRECIATION`, `INVENTORY`, `EQUITY`, `RETAINED_EARNINGS`, `LONG_TERM_LIABILITY`, `CURRENT_LIABILITY`, `OTHER`, `TAX_PAYABLE`, `REVENUE`, `COST_OF_GOODS_SOLD`, `OTHER_EXPENSE`, `OVERHEADS`, `DEPRECIATION`, `RESEARCH_AND_DEVELOPMENT`, `EMPLOYEE_COSTS`, `EMPLOYMENT_COSTS`, `EXCEPTIONAL_COSTS`, `EXCEPTIONAL_INCOME`, `INCOME_TAXES`, `INTEREST_INCOME`, `YEAR_END_REFLECTION`, `INDIRECT_YEAR_END_COSTING`, `DIRECT_YEAR_END_COSTING`
Query parameters: Available options: `5`, `10`, `20`, `50`, `100` Filter by last modified date.
Example: `lastModifiedAt=2021-01-01T00:00:00Z`
Supported response fields: Available options: `ACTIVE`, `ARCHIVED`
This endpoint retrieves only the posting categories from Lexware Office, which represent the `general ledger (GL) accounts`. No financial accounts are returned. Available options: `5`, `10`, `20`, `50`, `100` Supported response fields: If you're not using the [Interactive Authentication Flow](/authentication#interactive-authentication-flow), make sure the query parameter `companyId` is correctly populated. You can obtain this value by using the `GET Companies` endpoint available under the Authentication section. Query parameters: Available options: `5`, `10`, `20`, `50`, `100` Filter by last modified date.
Example: `lastModifiedAt=2021-01-01T00:00:00Z`
Supported response fields: Available options: `NON_CURRENT_ASSET`, `CURRENT_ASSET`,`NON_CURRENT_LIABILITY`, `CURRENT_LIABILITY`, `EQUITY`, `REVENUE`, `DIRECT_COSTS`, `EXPENSE`,`TEMPORARY`, `LIABILITY`, `OTHER_INCOME`,`OTHER`
Query parameters: Available options: `5`, `10`, `20`, `50`, `100` Filter by last modified date.
Example: `lastModifiedAt=2021-01-01T00:00:00Z`
Supported response fields: Available options: `ASSET`, `EQUITY`, `EXPENSE`, `LIABILITY`, `REVENUE` Available options (3-letter ISO 4217): `AED`, `AFN`, `ALL`, `AMD`, `ANG`, `AOA`, `ARS`, `AUD`, `AWG`, `AZN`, `BAM`, `BBD`, `BDT`, `BGN`, `BHD`, `BIF`, `BMD`, `BND`, `BOB`, `BRL`, `BSD`, `BTN`, `BWP`, `BYR`, `BZD`, `CAD`, `CDF`, `CHF`, `CLP`, `CNY`, `COP`, `CRC`, `CUC`, `CVE`, `CZK`, `DJF`, `DKK`, `DOP`, `DZD`, `EEK`, `EGP`, `ERN`, `ETB`, `EUR`, `FJD`, `FKP`, `GBP`, `GEL`, `GHS`, `GIP`, `GMD`, `GNF`, `GQE`, `GTQ`, `GYD`, `HKD`, `HNL`, `HRK`, `HTG`, `HUF`, `IDR`, `ILS`, `INR`, `IQD`, `IRR`, `ISK`, `JMD`, `JOD`, `JPY`, `KES`, `KGS`, `KHR`, `KMF`, `KPW`, `KRW`, `KWD`, `KYD`, `KZT`, `LAK`, `LBP`, `LKR`, `LRD`, `LSL`, `LTL`, `LVL`, `LYD`, `MAD`, `MDL`, `MGA`, `MKD`, `MMK`, `MNT`, `MOP`, `MRO`, `MUR`, `MVR`, `MWK`, `MXN`, `MYR`, `MZM`, `NAD`, `NGN`, `NIO`, `NOK`, `NPR`, `NZD`, `OMR`, `PAB`, `PEN`, `PGK`, `PHP`, `PKR`, `PLN`, `PYG`, `QAR`, `RON`, `RSD`, `RUB`, `SAR`, `SBD`, `SCR`, `SDG`, `SEK`, `SGD`, `SHP`, `SLL`, `SOS`, `SRD`, `SYP`, `SZL`, `THB`, `TJS`, `TMT`, `TND`, `TRY`, `TTD`, `TWD`, `TZS`, `UAH`, `UGX`, `USD`, `UYU`, `UZS`, `VEB`, `VND`, `VUV`, `WST`, `XAF`, `XCD`, `XDR`, `XOF`, `XPF`, `YER`, `ZAR`, `ZMK`, `ZWR` Available options: `ACTIVE`, `ARCHIVED`
Query parameters: Available options: `5`, `10`, `20`, `50`, `100` Supported response fields: Available options: `ACTIVE`, `ARCHIVED` Query parameters: Available options: `5`, `10`, `20`, `50`, `100` Filter by last modified date.
Example: `lastModifiedAt=2021-01-01T00:00:00Z`
Supported response fields: Available options: `ASSET`, `EQUITY`, `EXPENSE`, `LIABILITY`, `REVENUE` Available options (3-letter ISO 4217): `AED`, `AFN`, `ALL`, `AMD`, `ANG`, `AOA`, `ARS`, `AUD`, `AWG`, `AZN`, `BAM`, `BBD`, `BDT`, `BGN`, `BHD`, `BIF`, `BMD`, `BND`, `BOB`, `BRL`, `BSD`, `BTN`, `BWP`, `BYR`, `BZD`, `CAD`, `CDF`, `CHF`, `CLP`, `CNY`, `COP`, `CRC`, `CUC`, `CVE`, `CZK`, `DJF`, `DKK`, `DOP`, `DZD`, `EEK`, `EGP`, `ERN`, `ETB`, `EUR`, `FJD`, `FKP`, `GBP`, `GEL`, `GHS`, `GIP`, `GMD`, `GNF`, `GQE`, `GTQ`, `GYD`, `HKD`, `HNL`, `HRK`, `HTG`, `HUF`, `IDR`, `ILS`, `INR`, `IQD`, `IRR`, `ISK`, `JMD`, `JOD`, `JPY`, `KES`, `KGS`, `KHR`, `KMF`, `KPW`, `KRW`, `KWD`, `KYD`, `KZT`, `LAK`, `LBP`, `LKR`, `LRD`, `LSL`, `LTL`, `LVL`, `LYD`, `MAD`, `MDL`, `MGA`, `MKD`, `MMK`, `MNT`, `MOP`, `MRO`, `MUR`, `MVR`, `MWK`, `MXN`, `MYR`, `MZM`, `NAD`, `NGN`, `NIO`, `NOK`, `NPR`, `NZD`, `OMR`, `PAB`, `PEN`, `PGK`, `PHP`, `PKR`, `PLN`, `PYG`, `QAR`, `RON`, `RSD`, `RUB`, `SAR`, `SBD`, `SCR`, `SDG`, `SEK`, `SGD`, `SHP`, `SLL`, `SOS`, `SRD`, `SYP`, `SZL`, `THB`, `TJS`, `TMT`, `TND`, `TRY`, `TTD`, `TWD`, `TZS`, `UAH`, `UGX`, `USD`, `UYU`, `UZS`, `VEB`, `VND`, `VUV`, `WST`, `XAF`, `XCD`, `XDR`, `XOF`, `XPF`, `YER`, `ZAR`, `ZMK`, `ZWR` Available options: `ACTIVE`, `ARCHIVED`
This endpoint is available only for the following countries: Accounting Plus: Canada, United Kingdom, Ireland
Accounting Standard: United Kingdom, Ireland
Accounting Start: Canada, United Kingdom, Ireland
When handling a new connection in your integration, it is advisable to first determine which subscription your customer is using to ensure compatibility. To do this, you can use the `GET Companies` call to retrieve all businesses available for the user. The user will then select one of these businesses. It is also a good practice to verify that the active property of the selected business is set to true before proceeding with the integration setup. Query parameters: Available options: `5`, `10`, `20`, `50`, `100` Filter by last modified date.
Example: `lastModifiedAt=2021-01-01T00:00:00Z`
Supported response fields:
If you're not using the [Interactive Authentication Flow](/authentication#interactive-authentication-flow), make sure the query parameter `companyId` is correctly populated. You can obtain this value by using the `GET Companies` endpoint available under the Authentication section. Please use the id field as the companyId. Query parameters: Available options: `5`, `10`, `20`, `50`, `100` Filter by last modified date.
Example: `lastModifiedAt=2021-01-01T00:00:00Z`
Supported response fields: Available options: `ACTIVE`, `ARCHIVED` Available options: `CUSTOMER`, `PROVIDER`, `BANK`, `CASH`, `CHARGE`, `REVENUE`, `CAPITAL`, `FIXED_ASSET`, `MANAGEMENT_RESULT`, `DEPRECIATION_PROVISION`, `STOCK`, `RESULT_BALANCE_SHEET`, `EMPLOYEE`, `TITLE`, `CURRENT_ASSETS`, `BORROWED_CAPITAL`, `COST`, `REDUCTION_IN_EXPENSES`, `NEUTRAL_REVENUE`, `NEUTRAL_EXPENSES`, `SALES_DEDUCTION`, `EXCHANGE_RATE_INCOME`, `EXCHANGE_RATE_EXPENSE`, `BALANCE_CARRIED_FORWARD`, `AGGREGATE_CARRIED_FORWARD`, `OTHER_BALANCE_SHEET_ACCOUNT`, `STATISTICAL_BALANCE`, `STATISTICAL_CONSUMPTION`, `CURRENT_ASSETS_INPUT_TAX`, `BORROWED_CAPITAL_OUTPUT_TAX`, `CUSTOMER_PREPAYMENT`, `SUPPLIER_PREPAYMENT`, `CUSTOMER_PREPAYMENT_TAX_INCLUDED`, `SUPPLIER_PREPAYMENT_TAX_INCLUDED`, `INPUT_TAX`, `OUTPUT_TAX`, `SUPPLIER_RETURNABLE_PACKAGING`, `CUSTOMER_RETURNABLE_PACKAGING`
Query parameters: Available options: `5`, `10`, `20`, `50`, `100` Filter by last modified date.
Example: `lastModifiedAt=2021-01-01T00:00:00Z`
Supported response fields:
Query parameters: Available options: `5`, `10`, `20`, `50`, `100` Supported response fields: Available options: `ACTIVE`, `ARCHIVED` If you're not using the [Interactive Authentication Flow](/authentication#interactive-authentication-flow), make sure the query parameter `companyId` is correctly populated. You can obtain this value by using the `GET Companies` endpoint available under the Authentication section. Query parameters: Available options: `5`, `10`, `20`, `50`, `100` Filter by account types.
Available options: `PNL`, `BAS`, `CRD`, `DEB`, `KPL`. You can filter for one or more types. Example: `types=PNL,BAS,CRD`
Supported response fields: Note that only Profit and Loss (PNL) and Balance Sheet (BAS) accounts are returned by default. Please use the filter `types` if you require any of the other account types.
Query parameters: Available options: `5`, `10`, `20`, `50`, `100` Supported response fields: Supported values: `DEBIT`, `CREDIT` Query parameters: Available options: `5`, `10`, `20`, `50`, `100` Filter by last modified date.
Example: `lastModifiedAt=2021-01-01T00:00:00Z`
Supported response fields: Available options:\ `ASSET`, `EQUITY`, `EXPENSE`, `LIABILITY`, `REVENUE` Available options (3-letter ISO 4217):\ `AED`, `AFN`, `ALL`, `AMD`, `ANG`, `AOA`, `ARS`, `AUD`, `AWG`, `AZN`, `BAM`, `BBD`, `BDT`, `BGN`, `BHD`, `BIF`, `BMD`, `BND`, `BOB`, `BRL`, `BSD`, `BTN`, `BWP`, `BYR`, `BZD`, `CAD`, `CDF`, `CHF`, `CLP`, `CNY`, `COP`, `CRC`, `CUC`, `CVE`, `CZK`, `DJF`, `DKK`, `DOP`, `DZD`, `EEK`, `EGP`, `ERN`, `ETB`, `EUR`, `FJD`, `FKP`, `GBP`, `GEL`, `GHS`, `GIP`, `GMD`, `GNF`, `GQE`, `GTQ`, `GYD`, `HKD`, `HNL`, `HRK`, `HTG`, `HUF`, `IDR`, `ILS`, `INR`, `IQD`, `IRR`, `ISK`, `JMD`, `JOD`, `JPY`, `KES`, `KGS`, `KHR`, `KMF`, `KPW`, `KRW`, `KWD`, `KYD`, `KZT`, `LAK`, `LBP`, `LKR`, `LRD`, `LSL`, `LTL`, `LVL`, `LYD`, `MAD`, `MDL`, `MGA`, `MKD`, `MMK`, `MNT`, `MOP`, `MRO`, `MUR`, `MVR`, `MWK`, `MXN`, `MYR`, `MZM`, `NAD`, `NGN`, `NIO`, `NOK`, `NPR`, `NZD`, `OMR`, `PAB`, `PEN`, `PGK`, `PHP`, `PKR`, `PLN`, `PYG`, `QAR`, `RON`, `RSD`, `RUB`, `SAR`, `SBD`, `SCR`, `SDG`, `SEK`, `SGD`, `SHP`, `SLL`, `SOS`, `SRD`, `SYP`, `SZL`, `THB`, `TJS`, `TMT`, `TND`, `TRY`, `TTD`, `TWD`, `TZS`, `UAH`, `UGX`, `USD`, `UYU`, `UZS`, `VEB`, `VND`, `VUV`, `WST`, `XAF`, `XCD`, `XDR`, `XOF`, `XPF`, `YER`, `ZAR`, `ZMK`, `ZWR` Available options: `ACTIVE`, `ARCHIVED` Available options:\ `BANK`, `CURRENT_ASSET`, `CURRENT_LIABILITY`, `DEPRECIATION`, `DIRECT_COSTS`, `EQUITY`, `EXPENSE`, `FIXED_ASSET`, `INVENTORY`, `LIABILITY`, `NON_CURRENT_ASSET`, `OTHER_INCOME`, `OVERHEADS`, `PRE_PAYMENT`, `REVENUE`, `SALES`, `NON_CURRENT_LIABILITY`
# Get async task info Source: https://docs.maesn.com/api-reference/accounting-endpoints/asynctask/get-async-task-info get /accounting/asyncTask/{taskId} ## Field support per integration Please ensure the parameter `taskId` is accurately populated with the appropriate task ID. You can obtain this value by executing an asynchronous POST request. For more info about asynchronous tasks visit the [`Asynchronous Task`](/async-task) section. Supported response fields: Available options: `IN_PROGRESS`, `FINISHED` If any response data is returned after the request is finished, you will find it here. Please ensure the parameter `taskId` is accurately populated with the appropriate task ID. You can obtain this value by executing an asynchronous POST request. For more info about asynchronous tasks visit the [`Asynchronous Task`](/async-task) section. If you're not using the [Interactive Authentication Flow](/authentication#interactive-authentication-flow), make sure the query parameter `companyId` is accurately populated with the appropriate company ID. You can obtain this value by using the `GET Companies` endpoint available under the Authentication section. Supported response fields: Available options: `OPEN`, `IN_PROGRESS`, `SUCCESS`, `FAILED`, `PARTIAL_SUCCESS`, `CANCELLED_SUCCESSFULLY`,`CANCEL_FAILED` Please ensure the parameter `taskId` is accurately populated with the appropriate task ID. You can obtain this value by executing an asynchronous POST request. For more info about asynchronous tasks visit the [`Asynchronous Task`](/async-task) section. Supported response fields: Available options: `IN_PROGRESS`, `SUCCESS`, `FAILED` If any response data is returned after the request is finished, you will find it here. Please ensure the parameter `taskId` is accurately populated with the appropriate task ID. You can obtain this value by executing an asynchronous POST or GET request. For more info about asynchronous tasks visit the [`Asynchronous Task`](/async-task) section. If you're not using the [Interactive Authentication Flow](/authentication#interactive-authentication-flow), make sure the query parameter `companyId` is accurately populated with the appropriate company ID. You can obtain this value by using the `GET Companies` endpoint available under the Authentication section. The pagination is only supported for asynchronous GET requests. Only `page` parameter is accepted. The `limit` is 50000 entries per page and cannot be modified. Query parameters: Supported response fields: Available options: `SUCCESS`, `IN_PROGRESS`, `FINISHED`, `FAILED`, `DELETED` Status for **writing** operations : `SUCCESS`, `IN_PROGRESS`, `FAILED` Status for **reading** operations : `FINISHED`, `IN_PROGRESS`, `FAILED`, `DELETED` If any response data is returned after the request is finished, you will find it here. Please ensure the parameter `taskId` is accurately populated with the appropriate task ID. You can obtain this value by executing an asynchronous POST request. For more info about asynchronous tasks visit the [`Asynchronous Task`](/async-task) section. Supported response fields: Available options: `IN_PROGRESS`, `SUCCESS`, `FAILED` If any response data is returned after the request is finished, you will find it here. # Create bank account Source: https://docs.maesn.com/api-reference/accounting-endpoints/bankaccounts/create-bank-account post /accounting/bankAccounts ## Field support per integration Supported request parameters: Required if `type` equals `GIRO`. Available options (3-letter ISO 4217):\ `EUR` Required if `type` equals `GIRO`. Available options: `GIRO`, `PAYMENT_PROVIDER` This endpoints allows the creation of both "file import accounts" and "clearing accounts". To create "file import accounts", set the `type` equal to `PAYMENT_PROVIDER`. In such case, the `fileType` field is required. To create "clearing accounts" set the `type` equal to `CURRENT_ASSET`. Supported request parameters: Available options: `CSV`, `MT940`, Available options: `PAYMENT_PROVIDER`, `CURRENT_ASSET` # Get bank account Source: https://docs.maesn.com/api-reference/accounting-endpoints/bankaccounts/get-bank-account GET /accounting/bankAccounts/{bankAccountId} Query parameters: Supported response fields: Query parameters: Supported response fields: Available options (3-letter ISO 4217): `EUR` Available options: `ACTIVE`, `ARCHIVED` Available options: `GIRO`, `PAYMENT_PROVIDER` Query parameters: Supported response fields: Available options: `CSV`, `MT940`, Available options: `ACTIVE`, `ARCHIVED` Available options: `PAYMENT_PROVIDER`, `CURRENT_ASSET` # Get bank accounts Source: https://docs.maesn.com/api-reference/accounting-endpoints/bankaccounts/get-bank-accounts GET /accounting/bankAccounts Query parameters: Available options: `5`, `10`, `20`, `50`, `100` Supported response fields: Query parameters: Available options: `5`, `10`, `20`, `50`, `100` Filter by last modified date.
Example: `lastModifiedAt=2021-01-01T00:00:00Z`
Supported response fields: Available options: `CSV`, `MT940`, Available options: `ACTIVE`, `ARCHIVED` Available options: `PAYMENT_PROVIDER`, `CURRENT_ASSET`
# Create bill line Source: https://docs.maesn.com/api-reference/accounting-endpoints/billlineitems/create-bill-line post /accounting/bills/{billId}/lineItems ## Field support per integration Please ensure the query parameter *companyId* is accurately filled with the division code. You can obtain this values by using the `GET Companies` endpoints available under the Authentication section. Supported response fields: Date to identify the start of the range for deferred costs. Use together with `deferredStartDate`. Date to identify the start of the range for deferred costs. Use together with `deferredEndDate`. The total amount for the item excluding tax. When the `taxCode` is provided and is of type INCLUSIVE, then the `totalNetAmount` will be treated as a gross amount (i.e., including tax). # Get bill lines Source: https://docs.maesn.com/api-reference/accounting-endpoints/billlineitems/get-bill-lines get /accounting/bills/{billId}/lineItems ## Field support per integration Please ensure the query parameter *companyId* is accurately filled with the division code. You can obtain this values by using the `GET Companies` endpoints available under the Authentication section. Query parameters: Supported response fields: # Update bill line Source: https://docs.maesn.com/api-reference/accounting-endpoints/billlineitems/update-bill-line put /accounting/bills/{billId}/lineItems/{lineItemId} ## Field support per integration Please ensure the query parameter *companyId* is accurately filled with the division code. You can obtain this values by using the `GET Companies` endpoints available under the Authentication section. Supported response fields: Date to identify the start of the range for deferred costs. Use together with `deferredStartDate`. Date to identify the start of the range for deferred costs. Use together with `deferredEndDate`. The total amount for the item excluding tax. When the `taxCode` is provided and is of type INCLUSIVE, then the `totalNetAmount` will be treated as a gross amount (i.e., including tax). # Create bill Source: https://docs.maesn.com/api-reference/accounting-endpoints/bills/create-bill post /accounting/bills ## Field support per integration If you're not using the [Interactive Authentication Flow](/authentication#interactive-authentication-flow), make sure the query parameter `companyId` is correctly populated. You can obtain this value by using the `GET Companies` endpoint available under the Authentication section. Supported request fields: ISO-8601 date format, e.g., 2024-01-01T00:00:00Z Available options (3-letter ISO 4217): `AED`, `AFN`, `ALL`, `AMD`, `ANG`, `AOA`, `ARS`, `AUD`, `AWG`, `AZN`, `BAM`, `BBD`, `BDT`, `BGN`, `BHD`, `BIF`, `BMD`, `BND`, `BOB`, `BRL`, `BSD`, `BTN`, `BWP`, `BYR`, `BZD`, `CAD`, `CDF`, `CHF`, `CLP`, `CNY`, `COP`, `CRC`, `CUC`, `CVE`, `CZK`, `DJF`, `DKK`, `DOP`, `DZD`, `EEK`, `EGP`, `ERN`, `ETB`, `EUR`, `FJD`, `FKP`, `GBP`, `GEL`, `GHS`, `GIP`, `GMD`, `GNF`, `GQE`, `GTQ`, `GYD`, `HKD`, `HNL`, `HRK`, `HTG`, `HUF`, `IDR`, `ILS`, `INR`, `IQD`, `IRR`, `ISK`, `JMD`, `JOD`, `JPY`, `KES`, `KGS`, `KHR`, `KMF`, `KPW`, `KRW`, `KWD`, `KYD`, `KZT`, `LAK`, `LBP`, `LKR`, `LRD`, `LSL`, `LTL`, `LVL`, `LYD`, `MAD`, `MDL`, `MGA`, `MKD`, `MMK`, `MNT`, `MOP`, `MRO`, `MUR`, `MVR`, `MWK`, `MXN`, `MYR`, `MZM`, `NAD`, `NGN`, `NIO`, `NOK`, `NPR`, `NZD`, `OMR`, `PAB`, `PEN`, `PGK`, `PHP`, `PKR`, `PLN`, `PYG`, `QAR`, `RON`, `RSD`, `RUB`, `SAR`, `SBD`, `SCR`, `SDG`, `SEK`, `SGD`, `SHP`, `SLL`, `SOS`, `SRD`, `SYP`, `SZL`, `THB`, `TJS`, `TMT`, `TND`, `TRY`, `TTD`, `TWD`, `TZS`, `UAH`, `UGX`, `USD`, `UYU`, `UZS`, `VEB`, `VND`, `VUV`, `WST`, `XAF`, `XCD`, `XDR`, `XOF`, `XPF`, `YER`, `ZAR`, `ZMK`, `ZWR` ISO-8601 date format, e.g., 2024-01-01T00:00:00Z Date to identify the start of the range for deferred costs. Use together with `deferredStartDate`. Date to identify the start of the range for deferred costs. Use together with `deferredEndDate`. Note that quantity can be a decimal numeral. If the `taxCode` is not provided, it will be set to the default tax code for the account. The total amount for the item excluding tax. If the `taxCode` is provided and is of type INCLUSIVE, the `totalNetAmount` will be treated as a gross amount (i.e., including tax). Available options: `OPEN`, `PAID`, `OVERDUE` }> Supported request fields: ISO-8601 date format, e.g., 2024-01-01T00:00:00Z Available options (3-letter ISO 4217): `AED`, `AFN`, `ALL`, `AMD`, `ANG`, `AOA`, `ARS`, `AUD`, `AWG`, `AZN`, `BAM`, `BBD`, `BDT`, `BGN`, `BHD`, `BIF`, `BMD`, `BND`, `BOB`, `BRL`, `BSD`, `BTN`, `BWP`, `BYR`, `BZD`, `CAD`, `CDF`, `CHF`, `CLP`, `CNY`, `COP`, `CRC`, `CUC`, `CVE`, `CZK`, `DJF`, `DKK`, `DOP`, `DZD`, `EEK`, `EGP`, `ERN`, `ETB`, `EUR`, `FJD`, `FKP`, `GBP`, `GEL`, `GHS`, `GIP`, `GMD`, `GNF`, `GQE`, `GTQ`, `GYD`, `HKD`, `HNL`, `HRK`, `HTG`, `HUF`, `IDR`, `ILS`, `INR`, `IQD`, `IRR`, `ISK`, `JMD`, `JOD`, `JPY`, `KES`, `KGS`, `KHR`, `KMF`, `KPW`, `KRW`, `KWD`, `KYD`, `KZT`, `LAK`, `LBP`, `LKR`, `LRD`, `LSL`, `LTL`, `LVL`, `LYD`, `MAD`, `MDL`, `MGA`, `MKD`, `MMK`, `MNT`, `MOP`, `MRO`, `MUR`, `MVR`, `MWK`, `MXN`, `MYR`, `MZM`, `NAD`, `NGN`, `NIO`, `NOK`, `NPR`, `NZD`, `OMR`, `PAB`, `PEN`, `PGK`, `PHP`, `PKR`, `PLN`, `PYG`, `QAR`, `RON`, `RSD`, `RUB`, `SAR`, `SBD`, `SCR`, `SDG`, `SEK`, `SGD`, `SHP`, `SLL`, `SOS`, `SRD`, `SYP`, `SZL`, `THB`, `TJS`, `TMT`, `TND`, `TRY`, `TTD`, `TWD`, `TZS`, `UAH`, `UGX`, `USD`, `UYU`, `UZS`, `VEB`, `VND`, `VUV`, `WST`, `XAF`, `XCD`, `XDR`, `XOF`, `XPF`, `YER`, `ZAR`, `ZMK`, `ZWR` ISO-8601 date format, e.g., 2024-01-01T00:00:00Z Fortnox may automatically generate an empty line item by default. Supported request fields: ISO-8601 date format, e.g., 2024-01-01T00:00:00Z It is required when `status` is OPEN. It is required when `status` is OPEN. ISO-8601 date format, e.g., 2024-01-01T00:00:00Z It is the line item total amount including tax. Available options: `DRAFT`, `OPEN` If not provided, the default value is `DRAFT`. It is the sum of all line items `totalGrossAmount`. It is required when `status` is OPEN. It is required when `status` is OPEN. # Delete bill Source: https://docs.maesn.com/api-reference/accounting-endpoints/bills/delete-bill delete /accounting/bills/{billId} ## Field support per integration If you're not using the [Interactive Authentication Flow](/authentication#interactive-authentication-flow), make sure the query parameter `companyId` is correctly populated. You can obtain this value by using the `GET Companies` endpoint available under the Authentication section.
# Get bill Source: https://docs.maesn.com/api-reference/accounting-endpoints/bills/get-bill get /accounting/bills/{billId} ## Field support per integration Query parameters: Supported response fields: ISO-8601 date format, e.g., 2024-01-01T00:00:00Z ISO-8601 date format, e.g., 2024-01-01T00:00:00Z The `currency` field supports \*\*ISO 4217 \*\* (3-letter codes). For details visits the [`Standardized Data`](/standardization) section. ISO-8601 date format, e.g., 2024-01-01T00:00:00Z ISO-8601 date format, e.g., 2024-01-01T00:00:00Z ISO-8601 date format, e.g., 2024-01-01T00:00:00Z Available options: `OPEN`, `PAID` If you're not using the [Interactive Authentication Flow](/authentication#interactive-authentication-flow), make sure the query parameter `companyId` is correctly populated. You can obtain this value by using the `GET Companies` endpoint available under the Authentication section. Query parameters: Supported response fields: ISO-8601 date format, e.g., 2024-01-01T00:00:00Z ISO-8601 date format, e.g., 2024-01-01T00:00:00Z Available options (3-letter ISO 4217): `AED`, `AFN`, `ALL`, `AMD`, `ANG`, `AOA`, `ARS`, `AUD`, `AWG`, `AZN`, `BAM`, `BBD`, `BDT`, `BGN`, `BHD`, `BIF`, `BMD`, `BND`, `BOB`, `BRL`, `BSD`, `BTN`, `BWP`, `BYR`, `BZD`, `CAD`, `CDF`, `CHF`, `CLP`, `CNY`, `COP`, `CRC`, `CUC`, `CVE`, `CZK`, `DJF`, `DKK`, `DOP`, `DZD`, `EEK`, `EGP`, `ERN`, `ETB`, `EUR`, `FJD`, `FKP`, `GBP`, `GEL`, `GHS`, `GIP`, `GMD`, `GNF`, `GQE`, `GTQ`, `GYD`, `HKD`, `HNL`, `HRK`, `HTG`, `HUF`, `IDR`, `ILS`, `INR`, `IQD`, `IRR`, `ISK`, `JMD`, `JOD`, `JPY`, `KES`, `KGS`, `KHR`, `KMF`, `KPW`, `KRW`, `KWD`, `KYD`, `KZT`, `LAK`, `LBP`, `LKR`, `LRD`, `LSL`, `LTL`, `LVL`, `LYD`, `MAD`, `MDL`, `MGA`, `MKD`, `MMK`, `MNT`, `MOP`, `MRO`, `MUR`, `MVR`, `MWK`, `MXN`, `MYR`, `MZM`, `NAD`, `NGN`, `NIO`, `NOK`, `NPR`, `NZD`, `OMR`, `PAB`, `PEN`, `PGK`, `PHP`, `PKR`, `PLN`, `PYG`, `QAR`, `RON`, `RSD`, `RUB`, `SAR`, `SBD`, `SCR`, `SDG`, `SEK`, `SGD`, `SHP`, `SLL`, `SOS`, `SRD`, `SYP`, `SZL`, `THB`, `TJS`, `TMT`, `TND`, `TRY`, `TTD`, `TWD`, `TZS`, `UAH`, `UGX`, `USD`, `UYU`, `UZS`, `VEB`, `VND`, `VUV`, `WST`, `XAF`, `XCD`, `XDR`, `XOF`, `XPF`, `YER`, `ZAR`, `ZMK`, `ZWR` ISO-8601 date format, e.g., 2024-01-01T00:00:00Z Available options: `OPEN`, `PAID`, `OVERDUE` ISO-8601 date format, e.g., 2024-01-01T00:00:00Z Query parameters: Supported response fields: ISO-8601 date format, e.g., 2024-01-01T00:00:00Z Available options (3-letter ISO 4217): `AED`, `AFN`, `ALL`, `AMD`, `ANG`, `AOA`, `ARS`, `AUD`, `AWG`, `AZN`, `BAM`, `BBD`, `BDT`, `BGN`, `BHD`, `BIF`, `BMD`, `BND`, `BOB`, `BRL`, `BSD`, `BTN`, `BWP`, `BYR`, `BZD`, `CAD`, `CDF`, `CHF`, `CLP`, `CNY`, `COP`, `CRC`, `CUC`, `CVE`, `CZK`, `DJF`, `DKK`, `DOP`, `DZD`, `EEK`, `EGP`, `ERN`, `ETB`, `EUR`, `FJD`, `FKP`, `GBP`, `GEL`, `GHS`, `GIP`, `GMD`, `GNF`, `GQE`, `GTQ`, `GYD`, `HKD`, `HNL`, `HRK`, `HTG`, `HUF`, `IDR`, `ILS`, `INR`, `IQD`, `IRR`, `ISK`, `JMD`, `JOD`, `JPY`, `KES`, `KGS`, `KHR`, `KMF`, `KPW`, `KRW`, `KWD`, `KYD`, `KZT`, `LAK`, `LBP`, `LKR`, `LRD`, `LSL`, `LTL`, `LVL`, `LYD`, `MAD`, `MDL`, `MGA`, `MKD`, `MMK`, `MNT`, `MOP`, `MRO`, `MUR`, `MVR`, `MWK`, `MXN`, `MYR`, `MZM`, `NAD`, `NGN`, `NIO`, `NOK`, `NPR`, `NZD`, `OMR`, `PAB`, `PEN`, `PGK`, `PHP`, `PKR`, `PLN`, `PYG`, `QAR`, `RON`, `RSD`, `RUB`, `SAR`, `SBD`, `SCR`, `SDG`, `SEK`, `SGD`, `SHP`, `SLL`, `SOS`, `SRD`, `SYP`, `SZL`, `THB`, `TJS`, `TMT`, `TND`, `TRY`, `TTD`, `TWD`, `TZS`, `UAH`, `UGX`, `USD`, `UYU`, `UZS`, `VEB`, `VND`, `VUV`, `WST`, `XAF`, `XCD`, `XDR`, `XOF`, `XPF`, `YER`, `ZAR`, `ZMK`, `ZWR` ISO-8601 date format, e.g., 2024-01-01T00:00:00Z Query parameters: Supported response fields: ISO-8601 date format, e.g., 2024-01-01T00:00:00Z ISO-8601 date format, e.g., 2024-01-01T00:00:00Z Available options (3-letter ISO 4217): `AED`, `AFN`, `ALL`, `AMD`, `ANG`, `AOA`, `ARS`, `AUD`, `AWG`, `AZN`, `BAM`, `BBD`, `BDT`, `BGN`, `BHD`, `BIF`, `BMD`, `BND`, `BOB`, `BRL`, `BSD`, `BTN`, `BWP`, `BYR`, `BZD`, `CAD`, `CDF`, `CHF`, `CLP`, `CNY`, `COP`, `CRC`, `CUC`, `CVE`, `CZK`, `DJF`, `DKK`, `DOP`, `DZD`, `EEK`, `EGP`, `ERN`, `ETB`, `EUR`, `FJD`, `FKP`, `GBP`, `GEL`, `GHS`, `GIP`, `GMD`, `GNF`, `GQE`, `GTQ`, `GYD`, `HKD`, `HNL`, `HRK`, `HTG`, `HUF`, `IDR`, `ILS`, `INR`, `IQD`, `IRR`, `ISK`, `JMD`, `JOD`, `JPY`, `KES`, `KGS`, `KHR`, `KMF`, `KPW`, `KRW`, `KWD`, `KYD`, `KZT`, `LAK`, `LBP`, `LKR`, `LRD`, `LSL`, `LTL`, `LVL`, `LYD`, `MAD`, `MDL`, `MGA`, `MKD`, `MMK`, `MNT`, `MOP`, `MRO`, `MUR`, `MVR`, `MWK`, `MXN`, `MYR`, `MZM`, `NAD`, `NGN`, `NIO`, `NOK`, `NPR`, `NZD`, `OMR`, `PAB`, `PEN`, `PGK`, `PHP`, `PKR`, `PLN`, `PYG`, `QAR`, `RON`, `RSD`, `RUB`, `SAR`, `SBD`, `SCR`, `SDG`, `SEK`, `SGD`, `SHP`, `SLL`, `SOS`, `SRD`, `SYP`, `SZL`, `THB`, `TJS`, `TMT`, `TND`, `TRY`, `TTD`, `TWD`, `TZS`, `UAH`, `UGX`, `USD`, `UYU`, `UZS`, `VEB`, `VND`, `VUV`, `WST`, `XAF`, `XCD`, `XDR`, `XOF`, `XPF`, `YER`, `ZAR`, `ZMK`, `ZWR` ISO-8601 date format, e.g., 2024-01-01T00:00:00Z The `totalGrossAmount` field is only available when the `taxRule` is equal to `GROSS`. The `totalNetAmount` field is only available when the `taxRule` is equal to `NET`. ISO-8601 date format, e.g., 2024-01-01T00:00:00Z Available options: `DRAFT`, `OPEN`, `PAID`, `OVERDUE`, `VOIDED`, `SUBMITTED` Available options: `NET`, `GROSS` ISO-8601 date format, e.g., 2024-01-01T00:00:00Z Query parameters: Supported response fields: ISO-8601 date format, e.g., 2024-01-01T00:00:00Z ISO-8601 date format, e.g., 2024-01-01T00:00:00Z Available options (3-letter ISO 4217): `AED`, `AFN`, `ALL`, `AMD`, `ANG`, `AOA`, `ARS`, `AUD`, `AWG`, `AZN`, `BAM`, `BBD`, `BDT`, `BGN`, `BHD`, `BIF`, `BMD`, `BND`, `BOB`, `BRL`, `BSD`, `BTN`, `BWP`, `BYR`, `BZD`, `CAD`, `CDF`, `CHF`, `CLP`, `CNY`, `COP`, `CRC`, `CUC`, `CVE`, `CZK`, `DJF`, `DKK`, `DOP`, `DZD`, `EEK`, `EGP`, `ERN`, `ETB`, `EUR`, `FJD`, `FKP`, `GBP`, `GEL`, `GHS`, `GIP`, `GMD`, `GNF`, `GQE`, `GTQ`, `GYD`, `HKD`, `HNL`, `HRK`, `HTG`, `HUF`, `IDR`, `ILS`, `INR`, `IQD`, `IRR`, `ISK`, `JMD`, `JOD`, `JPY`, `KES`, `KGS`, `KHR`, `KMF`, `KPW`, `KRW`, `KWD`, `KYD`, `KZT`, `LAK`, `LBP`, `LKR`, `LRD`, `LSL`, `LTL`, `LVL`, `LYD`, `MAD`, `MDL`, `MGA`, `MKD`, `MMK`, `MNT`, `MOP`, `MRO`, `MUR`, `MVR`, `MWK`, `MXN`, `MYR`, `MZM`, `NAD`, `NGN`, `NIO`, `NOK`, `NPR`, `NZD`, `OMR`, `PAB`, `PEN`, `PGK`, `PHP`, `PKR`, `PLN`, `PYG`, `QAR`, `RON`, `RSD`, `RUB`, `SAR`, `SBD`, `SCR`, `SDG`, `SEK`, `SGD`, `SHP`, `SLL`, `SOS`, `SRD`, `SYP`, `SZL`, `THB`, `TJS`, `TMT`, `TND`, `TRY`, `TTD`, `TWD`, `TZS`, `UAH`, `UGX`, `USD`, `UYU`, `UZS`, `VEB`, `VND`, `VUV`, `WST`, `XAF`, `XCD`, `XDR`, `XOF`, `XPF`, `YER`, `ZAR`, `ZMK`, `ZWR` ISO-8601 date format, e.g., 2024-01-01T00:00:00Z ISO-8601 date format, e.g., 2024-01-01T00:00:00Z Available options: `DRAFT`,`SUBMITTED`, `OPEN`, `PAID`,`VOIDED` ISO-8601 date format, e.g., 2024-01-01T00:00:00Z Query parameters: Supported response fields: ISO-8601 date format, e.g., 2024-01-01T00:00:00Z ISO-8601 date format, e.g., 2024-01-01T00:00:00Z The `currency` field supports **ISO 4217 alpha-3** (3-letter codes). For details visits the [`Standardized Data`](/standardization) section. ISO-8601 date format, e.g., 2024-01-01T00:00:00Z ISO-8601 date format, e.g., 2024-01-01T00:00:00Z ISO-8601 date format, e.g., 2024-01-01T00:00:00Z ISO-8601 date format, e.g., 2024-01-01T00:00:00Z ISO-8601 date format, e.g., 2024-01-01T00:00:00Z Available options: `DRAFT`, `SUBMITTED`, `OPEN`, `PARTIALLY_PAID`, `PAID` ISO-8601 date format, e.g., 2024-01-01T00:00:00Z Query parameters: Supported response fields: The `countryCode` field supports **ISO 3166-1 alpha-2** (2-letter codes). For details visit the [`Standardized Data`](/standardization) section. Available options: `BILLING` For date format details visit the [Standardized Data](/standardization) section For date format details visit the [Standardized Data](/standardization) section The `currency` field supports **ISO 4217 alpha-3** (3-letter codes). For details visit the [`Standardized Data`](/standardization) section. For date format details visit the [Standardized Data](/standardization) section For date format details visit the [Standardized Data](/standardization) section For date format details visit the [Standardized Data](/standardization) section For date format details visit the [Standardized Data](/standardization) section Available options: `PENDING`, `PAID`, `NO_OPEN_ITEM`, `CREDIT_NOTE_CLEARED`, `CLEARED_WITH_CREDIT_NOTE`, `UNKNOWN` For date format details visit the [Standardized Data](/standardization) section Available options: `DRAFT`, `SUBMITTED`, `DOCUMENT_CREATED`, `OPEN`, `VOIDED` For date format details visit the [Standardized Data](/standardization) section # Get bill document Source: https://docs.maesn.com/api-reference/accounting-endpoints/bills/get-bill-document get /accounting/bills/{billId}/document ## Field support per integration Please note that the content in output is base64-encoded. Supported response fields: Supported response fields: Please note that the content in output is the url to download the document. Supported response fields: Supported response fields: Returns the latest document attached to the bill. Supported response fields: # Get bills Source: https://docs.maesn.com/api-reference/accounting-endpoints/bills/get-bills get /accounting/bills ## Field support per integration Query parameters: Available options: `5`, `10`, `20`, `50`, `100` Filter by from-date on the bill.
Example: `billDateFrom=2021-01-01T00:00:00Z`
Filter by bill status.
Example: `status=OPEN`
Sort by bill date Sort by bill number Sort by the name field on the bill Available options: `ASC`, `DESC` Supported response fields: ISO-8601 date format, e.g., 2024-01-01T00:00:00Z ISO-8601 date format, e.g., 2024-01-01T00:00:00Z ISO-8601 date format, e.g., 2024-01-01T00:00:00Z ISO-8601 date format, e.g., 2024-01-01T00:00:00Z ISO-8601 date format, e.g., 2024-01-01T00:00:00Z Available options: `OPEN`, `PAID`
If you're not using the [Interactive Authentication Flow](/authentication#interactive-authentication-flow), make sure the query parameters `environmentName` and `companyId` are correctly populated. You can obtain these values by using the `GET Environments` and `GET Companies` endpoints available under the Authentication section. Query parameters: Available options: `5`, `10`, `20`, `50`, `100` Filter by last modified date.
For date format details visit the [Standardized Data](/standardization) section.
Supported response fields: Available options: `BILLING`, `DELIVERY` For date format details visit the [Standardized Data](/standardization) section The `currency` field supports **ISO 4217** (3-letter codes). For details visit the [`Standardized Data`](/standardization) section. For date format details visit the [Standardized Data](/standardization) section Available options: `PENDING`, `PAID`, `CANCELED`, `NO_OPEN_ITEM`, `UNKNOWN` Available options: `DRAFT`, `SUBMITTED`, `OPEN`, `PAID`, `VOIDED`, `CORRECTIVE` ISO-8601 date format, e.g., 2024-01-01T00:00:00Z
If you're not using the [Interactive Authentication Flow](/authentication#interactive-authentication-flow), make sure the query parameter `companyId` is correctly populated. You can obtain this value by using the `GET Companies` endpoint available under the Authentication section. Query parameters: Available options: `5`, `10`, `20`, `50`, `100` Filter by last modified date.
Example: `lastModifiedAt=2021-01-01T00:00:00Z`
Supported response fields: ISO-8601 date format, e.g., 2024-01-01T00:00:00Z ISO-8601 date format, e.g., 2024-01-01T00:00:00Z Available options (3-letter ISO 4217): `AED`, `AFN`, `ALL`, `AMD`, `ANG`, `AOA`, `ARS`, `AUD`, `AWG`, `AZN`, `BAM`, `BBD`, `BDT`, `BGN`, `BHD`, `BIF`, `BMD`, `BND`, `BOB`, `BRL`, `BSD`, `BTN`, `BWP`, `BYR`, `BZD`, `CAD`, `CDF`, `CHF`, `CLP`, `CNY`, `COP`, `CRC`, `CUC`, `CVE`, `CZK`, `DJF`, `DKK`, `DOP`, `DZD`, `EEK`, `EGP`, `ERN`, `ETB`, `EUR`, `FJD`, `FKP`, `GBP`, `GEL`, `GHS`, `GIP`, `GMD`, `GNF`, `GQE`, `GTQ`, `GYD`, `HKD`, `HNL`, `HRK`, `HTG`, `HUF`, `IDR`, `ILS`, `INR`, `IQD`, `IRR`, `ISK`, `JMD`, `JOD`, `JPY`, `KES`, `KGS`, `KHR`, `KMF`, `KPW`, `KRW`, `KWD`, `KYD`, `KZT`, `LAK`, `LBP`, `LKR`, `LRD`, `LSL`, `LTL`, `LVL`, `LYD`, `MAD`, `MDL`, `MGA`, `MKD`, `MMK`, `MNT`, `MOP`, `MRO`, `MUR`, `MVR`, `MWK`, `MXN`, `MYR`, `MZM`, `NAD`, `NGN`, `NIO`, `NOK`, `NPR`, `NZD`, `OMR`, `PAB`, `PEN`, `PGK`, `PHP`, `PKR`, `PLN`, `PYG`, `QAR`, `RON`, `RSD`, `RUB`, `SAR`, `SBD`, `SCR`, `SDG`, `SEK`, `SGD`, `SHP`, `SLL`, `SOS`, `SRD`, `SYP`, `SZL`, `THB`, `TJS`, `TMT`, `TND`, `TRY`, `TTD`, `TWD`, `TZS`, `UAH`, `UGX`, `USD`, `UYU`, `UZS`, `VEB`, `VND`, `VUV`, `WST`, `XAF`, `XCD`, `XDR`, `XOF`, `XPF`, `YER`, `ZAR`, `ZMK`, `ZWR` ISO-8601 date format, e.g., 2024-01-01T00:00:00Z Available options: `OPEN`, `PAID`, `OVERDUE` ISO-8601 date format, e.g., 2024-01-01T00:00:00Z
Query parameters: Available options: `5`, `10`, `20`, `50`, `100` Filter by last modified date.
Example: `lastModifiedAt=2021-01-01T00:00:00Z`
Supported response fields: ISO-8601 date format, e.g., 2024-01-01T00:00:00Z Available options (3-letter ISO 4217): `AED`, `AFN`, `ALL`, `AMD`, `ANG`, `AOA`, `ARS`, `AUD`, `AWG`, `AZN`, `BAM`, `BBD`, `BDT`, `BGN`, `BHD`, `BIF`, `BMD`, `BND`, `BOB`, `BRL`, `BSD`, `BTN`, `BWP`, `BYR`, `BZD`, `CAD`, `CDF`, `CHF`, `CLP`, `CNY`, `COP`, `CRC`, `CUC`, `CVE`, `CZK`, `DJF`, `DKK`, `DOP`, `DZD`, `EEK`, `EGP`, `ERN`, `ETB`, `EUR`, `FJD`, `FKP`, `GBP`, `GEL`, `GHS`, `GIP`, `GMD`, `GNF`, `GQE`, `GTQ`, `GYD`, `HKD`, `HNL`, `HRK`, `HTG`, `HUF`, `IDR`, `ILS`, `INR`, `IQD`, `IRR`, `ISK`, `JMD`, `JOD`, `JPY`, `KES`, `KGS`, `KHR`, `KMF`, `KPW`, `KRW`, `KWD`, `KYD`, `KZT`, `LAK`, `LBP`, `LKR`, `LRD`, `LSL`, `LTL`, `LVL`, `LYD`, `MAD`, `MDL`, `MGA`, `MKD`, `MMK`, `MNT`, `MOP`, `MRO`, `MUR`, `MVR`, `MWK`, `MXN`, `MYR`, `MZM`, `NAD`, `NGN`, `NIO`, `NOK`, `NPR`, `NZD`, `OMR`, `PAB`, `PEN`, `PGK`, `PHP`, `PKR`, `PLN`, `PYG`, `QAR`, `RON`, `RSD`, `RUB`, `SAR`, `SBD`, `SCR`, `SDG`, `SEK`, `SGD`, `SHP`, `SLL`, `SOS`, `SRD`, `SYP`, `SZL`, `THB`, `TJS`, `TMT`, `TND`, `TRY`, `TTD`, `TWD`, `TZS`, `UAH`, `UGX`, `USD`, `UYU`, `UZS`, `VEB`, `VND`, `VUV`, `WST`, `XAF`, `XCD`, `XDR`, `XOF`, `XPF`, `YER`, `ZAR`, `ZMK`, `ZWR` ISO-8601 date format, e.g., 2024-01-01T00:00:00Z
Query parameters: Available options: `5`, `10`, `20`, `50`, `100` Filter by last modified date.
**Note** that the timestamp shall be in the form YYYY-MM-DDT00:00:00Z (milliseconds are not supported in Lexware office)
Example: `lastModifiedAt=2021-01-01T00:00:00Z`
Filter by bill status.
Example: `status=OPEN`
Sort by bill date Sort by bill number Sort by creation date Sort by update date Available options: `ASC`, `DESC` Supported response fields: ISO-8601 date format, e.g., 2024-01-01T00:00:00Z ISO-8601 date format, e.g., 2024-01-01T00:00:00Z Available options (3-letter ISO 4217): `AED`, `AFN`, `ALL`, `AMD`, `ANG`, `AOA`, `ARS`, `AUD`, `AWG`, `AZN`, `BAM`, `BBD`, `BDT`, `BGN`, `BHD`, `BIF`, `BMD`, `BND`, `BOB`, `BRL`, `BSD`, `BTN`, `BWP`, `BYR`, `BZD`, `CAD`, `CDF`, `CHF`, `CLP`, `CNY`, `COP`, `CRC`, `CUC`, `CVE`, `CZK`, `DJF`, `DKK`, `DOP`, `DZD`, `EEK`, `EGP`, `ERN`, `ETB`, `EUR`, `FJD`, `FKP`, `GBP`, `GEL`, `GHS`, `GIP`, `GMD`, `GNF`, `GQE`, `GTQ`, `GYD`, `HKD`, `HNL`, `HRK`, `HTG`, `HUF`, `IDR`, `ILS`, `INR`, `IQD`, `IRR`, `ISK`, `JMD`, `JOD`, `JPY`, `KES`, `KGS`, `KHR`, `KMF`, `KPW`, `KRW`, `KWD`, `KYD`, `KZT`, `LAK`, `LBP`, `LKR`, `LRD`, `LSL`, `LTL`, `LVL`, `LYD`, `MAD`, `MDL`, `MGA`, `MKD`, `MMK`, `MNT`, `MOP`, `MRO`, `MUR`, `MVR`, `MWK`, `MXN`, `MYR`, `MZM`, `NAD`, `NGN`, `NIO`, `NOK`, `NPR`, `NZD`, `OMR`, `PAB`, `PEN`, `PGK`, `PHP`, `PKR`, `PLN`, `PYG`, `QAR`, `RON`, `RSD`, `RUB`, `SAR`, `SBD`, `SCR`, `SDG`, `SEK`, `SGD`, `SHP`, `SLL`, `SOS`, `SRD`, `SYP`, `SZL`, `THB`, `TJS`, `TMT`, `TND`, `TRY`, `TTD`, `TWD`, `TZS`, `UAH`, `UGX`, `USD`, `UYU`, `UZS`, `VEB`, `VND`, `VUV`, `WST`, `XAF`, `XCD`, `XDR`, `XOF`, `XPF`, `YER`, `ZAR`, `ZMK`, `ZWR` ISO-8601 date format, e.g., 2024-01-01T00:00:00Z Available options: `DRAFT`, `OPEN`, `PAID`, `OVERDUE`, `VOIDED`, `SUBMITTED` ISO-8601 date format, e.g., 2024-01-01T00:00:00Z
Query parameters: Available options: `5`, `10`, `20`, `50`, `100` Filter by last modified date. Example: `lastModifiedAt=2021-01-01T00:00:00Z` Filter by bill status.
Example: `status=OPEN`
Sort by creation date Sort by update date Available options: `ASC`, `DESC` Supported response fields: ISO-8601 date format, e.g., 2024-01-01T00:00:00Z ISO-8601 date format, e.g., 2024-01-01T00:00:00Z Available options (3-letter ISO 4217): `AED`, `AFN`, `ALL`, `AMD`, `ANG`, `AOA`, `ARS`, `AUD`, `AWG`, `AZN`, `BAM`, `BBD`, `BDT`, `BGN`, `BHD`, `BIF`, `BMD`, `BND`, `BOB`, `BRL`, `BSD`, `BTN`, `BWP`, `BYR`, `BZD`, `CAD`, `CDF`, `CHF`, `CLP`, `CNY`, `COP`, `CRC`, `CUC`, `CVE`, `CZK`, `DJF`, `DKK`, `DOP`, `DZD`, `EEK`, `EGP`, `ERN`, `ETB`, `EUR`, `FJD`, `FKP`, `GBP`, `GEL`, `GHS`, `GIP`, `GMD`, `GNF`, `GQE`, `GTQ`, `GYD`, `HKD`, `HNL`, `HRK`, `HTG`, `HUF`, `IDR`, `ILS`, `INR`, `IQD`, `IRR`, `ISK`, `JMD`, `JOD`, `JPY`, `KES`, `KGS`, `KHR`, `KMF`, `KPW`, `KRW`, `KWD`, `KYD`, `KZT`, `LAK`, `LBP`, `LKR`, `LRD`, `LSL`, `LTL`, `LVL`, `LYD`, `MAD`, `MDL`, `MGA`, `MKD`, `MMK`, `MNT`, `MOP`, `MRO`, `MUR`, `MVR`, `MWK`, `MXN`, `MYR`, `MZM`, `NAD`, `NGN`, `NIO`, `NOK`, `NPR`, `NZD`, `OMR`, `PAB`, `PEN`, `PGK`, `PHP`, `PKR`, `PLN`, `PYG`, `QAR`, `RON`, `RSD`, `RUB`, `SAR`, `SBD`, `SCR`, `SDG`, `SEK`, `SGD`, `SHP`, `SLL`, `SOS`, `SRD`, `SYP`, `SZL`, `THB`, `TJS`, `TMT`, `TND`, `TRY`, `TTD`, `TWD`, `TZS`, `UAH`, `UGX`, `USD`, `UYU`, `UZS`, `VEB`, `VND`, `VUV`, `WST`, `XAF`, `XCD`, `XDR`, `XOF`, `XPF`, `YER`, `ZAR`, `ZMK`, `ZWR` ISO-8601 date format, e.g., 2024-01-01T00:00:00Z ISO-8601 date format, e.g., 2024-01-01T00:00:00Z Available options: `DRAFT`,`SUBMITTED`, `OPEN`, `PAID`,`VOIDED` ISO-8601 date format, e.g., 2024-01-01T00:00:00Z
Query parameters: Available options: `5`, `10`, `20`, `50`, `100` Filter by last modified date. Example: `lastModifiedAt=2021-01-01T00:00:00Z` Filter by bill status.
Example: `status=OPEN`
Supported response fields: ISO-8601 date format, e.g., 2024-01-01T00:00:00Z ISO-8601 date format, e.g., 2024-01-01T00:00:00Z The `currency` field supports **ISO 4217 alpha-3** (3-letter codes). For details visits the [`Standardized Data`](/standardization) section. ISO-8601 date format, e.g., 2024-01-01T00:00:00Z ISO-8601 date format, e.g., 2024-01-01T00:00:00Z ISO-8601 date format, e.g., 2024-01-01T00:00:00Z Available options: `DRAFT`, `SUBMITTED`, `OPEN`, `PARTIALLY_PAID`, `PAID` ISO-8601 date format, e.g., 2024-01-01T00:00:00Z
Query parameters: Available options: `5`, `10`, `20`, `50`, `100` Filter by last modified date on the bill.
Example: `lastModifiedAt=2021-01-01T00:00:00Z`
Supported response fields: The `countryCode` field supports **ISO 3166-1 alpha-2** (2-letter codes). For details visit the [`Standardized Data`](/standardization) section. Available options: `BILLING` For date format details visit the [Standardized Data](/standardization) section For date format details visit the [Standardized Data](/standardization) section The `currency` field supports **ISO 4217 alpha-3** (3-letter codes). For details visit the [`Standardized Data`](/standardization) section. For date format details visit the [Standardized Data](/standardization) section For date format details visit the [Standardized Data](/standardization) section For date format details visit the [Standardized Data](/standardization) section For date format details visit the [Standardized Data](/standardization) section Available options: `PENDING`, `PAID`, `NO_OPEN_ITEM`, `CREDIT_NOTE_CLEARED`, `CLEARED_WITH_CREDIT_NOTE`, `UNKNOWN` For date format details visit the [Standardized Data](/standardization) section Available options: `DRAFT`, `SUBMITTED`, `DOCUMENT_CREATED`, `OPEN`, `VOIDED` For date format details visit the [Standardized Data](/standardization) section
# Update bill Source: https://docs.maesn.com/api-reference/accounting-endpoints/bills/update-bill put /accounting/bills/{billId} ## Field support per integration If you're not using the [Interactive Authentication Flow](/authentication#interactive-authentication-flow), make sure the query parameter `companyId` is correctly populated. You can obtain this value by using the `GET Companies` endpoint available under the Authentication section. Supported request fields: ISO-8601 date format, e.g., 2024-01-01T00:00:00Z Available options (3-letter ISO 4217): `AED`, `AFN`, `ALL`, `AMD`, `ANG`, `AOA`, `ARS`, `AUD`, `AWG`, `AZN`, `BAM`, `BBD`, `BDT`, `BGN`, `BHD`, `BIF`, `BMD`, `BND`, `BOB`, `BRL`, `BSD`, `BTN`, `BWP`, `BYR`, `BZD`, `CAD`, `CDF`, `CHF`, `CLP`, `CNY`, `COP`, `CRC`, `CUC`, `CVE`, `CZK`, `DJF`, `DKK`, `DOP`, `DZD`, `EEK`, `EGP`, `ERN`, `ETB`, `EUR`, `FJD`, `FKP`, `GBP`, `GEL`, `GHS`, `GIP`, `GMD`, `GNF`, `GQE`, `GTQ`, `GYD`, `HKD`, `HNL`, `HRK`, `HTG`, `HUF`, `IDR`, `ILS`, `INR`, `IQD`, `IRR`, `ISK`, `JMD`, `JOD`, `JPY`, `KES`, `KGS`, `KHR`, `KMF`, `KPW`, `KRW`, `KWD`, `KYD`, `KZT`, `LAK`, `LBP`, `LKR`, `LRD`, `LSL`, `LTL`, `LVL`, `LYD`, `MAD`, `MDL`, `MGA`, `MKD`, `MMK`, `MNT`, `MOP`, `MRO`, `MUR`, `MVR`, `MWK`, `MXN`, `MYR`, `MZM`, `NAD`, `NGN`, `NIO`, `NOK`, `NPR`, `NZD`, `OMR`, `PAB`, `PEN`, `PGK`, `PHP`, `PKR`, `PLN`, `PYG`, `QAR`, `RON`, `RSD`, `RUB`, `SAR`, `SBD`, `SCR`, `SDG`, `SEK`, `SGD`, `SHP`, `SLL`, `SOS`, `SRD`, `SYP`, `SZL`, `THB`, `TJS`, `TMT`, `TND`, `TRY`, `TTD`, `TWD`, `TZS`, `UAH`, `UGX`, `USD`, `UYU`, `UZS`, `VEB`, `VND`, `VUV`, `WST`, `XAF`, `XCD`, `XDR`, `XOF`, `XPF`, `YER`, `ZAR`, `ZMK`, `ZWR` ISO-8601 date format, e.g., 2024-01-01T00:00:00Z Date to identify the start of the range for deferred costs. Use together with `deferredStartDate`. Date to identify the start of the range for deferred costs. Use together with `deferredEndDate`. Note that quantity can be a decimal numeral. The total amount for the item excluding tax. When the `taxCode` is provided and is of type INCLUSIVE, then the `totalNetAmount` will be treated as a gross amount (i.e., including tax). Available options: `OPEN`, `PAID`, `OVERDUE` # Create booking proposal Source: https://docs.maesn.com/api-reference/accounting-endpoints/bookingproposals/create-booking-proposal POST /accounting/bookingProposals ## Field support per integration If you're not using the [Interactive Authentication Flow](/authentication#interactive-authentication-flow), make sure the query parameters `environmentName` and `companyId` are correctly populated. You can obtain these values by using the `GET Environments` and `GET Companies` endpoints available under the Authentication section. Supported request parameters: The `bookingProposalDate` field represents the invoice date. For date format details visit the [`Standardized Data`](/standardization) section. The `contactId` field represents the ID of the vendor associated with the booking proposal. You can obtain this value by using the `GET Suppliers` endpoint. Either `contactId` or `contactAccountNumber` should be provided to identify the vendor. The `contactAccountNumber` field represents the vendor number associated with the booking proposal. Either `contactId` or `contactAccountNumber` should be provided to identify the vendor. The `currency` field supports **ISO 4217** (3-letter codes). For details visit the [`Standardized Data`](/standardization) section. The `dueDate` field represents the date by which the payment is expected. For date format details visit the [`Standardized Data`](/standardization) section. The `accountId` field specifies the ID of the general ledger account linked to the line item. You can obtain this value by using the `GET Accounts` endpoint. The `description` field provides details about the specific line item. The `dimension` field specifies the category of the dimension associated with the line item. Example: `ABTEILUNG`. The `code` field specifies the code of the sub-dimension associated with the line item. Example: `PROD`. The `totalGrossAmount` field represents the unit cost for the line item. Note: Quantity is fixed at 1 for each line item. The `taxCode` field represents the tax code associated with the line item. The `discountAmount` field represents the discount amount applied to the line item. The `discountPercentage` field represents the discount percentage applied to the line item. The `number` field represents the vendor invoice number for the booking proposal. Available options: `BILL` Note: Business Central booking proposals are created as purchase invoices, so only `BILL` type is supported. The `files` array can be used to attach files to the booking proposal. Only one file can be attached. The name of the uploaded files must include the file extension, for example `invoice.pdf`. This endpoint has been deprecated. Please use the [`Create Booking Proposal Async`](/api-reference/accounting-endpoints/bookingproposals/create-booking-proposal-async) endpoint. This endpoints is asynchronous. To check the status of the request, use the `GET asyncTask` endpoint. For more info about asynchronous tasks visit the [`Asynchronous Task`](/async-task) section. If you're not using the [Interactive Authentication Flow](/authentication#interactive-authentication-flow), make sure the query parameter `companyId` is accurately populated with the appropriate company ID. You can obtain this value by using the `GET Companies` endpoint available under the Authentication section. Supported request parameters: The `id` field represents the unique identifier of the booking proposal. The `id` must be a valid UUID; otherwise, it will be ignored. This field is only relevant and used `when uploading files` with the booking proposal. The `city` must not exceed 30 characters in length. The `bankAccountNumber` field must be 1-10 digits long and includes only numbers. If `bankAccountNumber` is provided, then `bankCode` is required. Example: `532013000` The `bankCode` must respect the following pattern: `^([1-9]|[0-9]{2,10})$` If `bankCode` is provided, then `bankAccountNumber` is required. Example: `37040044` The `bic` field must respect the following pattern: `^[A-Z]{4}[A-Z]{2}[A-Z0-9]{2}[A-Z0-9]{0,3}$`. Example: `DEUTDEFF`. For date format details visits the [`Standardized Data`](/standardization) section. The `contactAccountNumber` field represents the account number of the contact associated with the booking proposal. It must be a valid number. The length must be equal to the account configured length + 1. It is the customer account number for `INVOICE` or the vendor account number for `BILL`. The `contactName` field represents the name of the contact associated with the booking proposal. It cannot exceed 50 characters in length. The `currency` field supports **ISO 4217** (3-letter codes). For details visits the [`Standardized Data`](/standardization) section. For date format details visits the [`Standardized Data`](/standardization) section. For date format details visits the [`Standardized Data`](/standardization) section. The `discountPaymentDate` field represents the date until which a discount (`discountAmount` and `discountPercentage` in line items) can be applied to the payment. If `discountPaymentDate` is provided, then `discountAmount` and `discountPercentage` are required for each line item. Its value must be earlier than the `dueDate` and later than the `bookingProposalDate`. For date format details visits the [`Standardized Data`](/standardization) section. The `discountPaymentDate2` field represents the date until which a discount (`discountAmount2` and `discountPercentage2` in line items) can be applied to the payment. If provided, `discountPaymentDate`, `discountAmount`, `discountPercentage`, `discountAmount2` and `discountPercentage2` are required for each line item. Its value must be earlier than the `dueDate` and later than the `bookingProposalDate` and `discountPaymentDate`. For date format details visits the [`Standardized Data`](/standardization) section. The `dueDate` field represents the date by which the payment for the booking proposal is expected to be made. It is required when discount fields are provided. It must be after the `bookingProposalDate`. The `iban` field must respect the following pattern: `^[A-Z]{2}[0-9]{2}[A-Z0-9]{1,30}$`. Example: `DE89370400440532013000`. The `isPaymentOrder` field determines whether a payment instruction (transfer for bills or direct debit for invoices) should be automatically created when the booking proposal is processed. It must be `false` if `paymentTermId` is equal to `9`. The `ledgerName` field represents the name of the correct ledger folder where the data will be sent to. To get the correct name, you can use the `GET Accounts` endpoint. For `INVOICE` booking proposals, the `ledgerName` must be of type `ACCOUNT_RECEIVABLE`, and for `BILL` booking proposals, it must be of type `ACCOUNT_PAYABLE`. Depending on the Rechnungsdatenschnittstelle (invoice data interface) settings in DATEV Unternehmen Online, either a single booking proposal or one booking proposal per line item is created. Please check your configuration to ensure the desired behavior. The `accountName` field specifies the name of the general ledger account linked to the individual line item within the invoice or bill. It cannot exceed 40 characters in length. The `accountNumber` field specifies the general ledger account linked to the individual line item within the invoice or bill. It must be a valid number. The length must be equal to the account configured length. The `bookingTaxCode` field represents the BU code associated with the line item. It must be max 4 characters long. Only numbers are allowed. The `description` field provides details about the specific line item in the booking proposal. It cannot exceed 60 characters in length. The `dimension1` field represents the information for cost accounting (KOST1). It cannot exceed 36 characters in length. It must follow the pattern : `^([\S][\S ]{0,34}[\S]|[\S]{0,1})$`. Example: `Marketing`. The `dimension2` field represents the information for cost accounting (KOST2). It cannot exceed 36 characters in length. It must follow the pattern : `^([\S][\S ]{0,34}[\S]|[\S]{0,1})$`. Example: `IT department`. The `discountAmount` field represents the fixed amount to be discounted if paid by the `discountPaymentDate`. It must be a positive number with up to 8 digits before the decimal point and exactly 2 digits after. It cannot exceed the line item's `totalGrossAmount`. The `discountAmount2` field represents the fixed amount to be discounted if paid by the `discountPaymentDate2`. It must be a positive number with up to 8 digits before the decimal point and exactly 2 digits after. It cannot exceed the line item's `totalGrossAmount` and the `discountAmount`. The `discountPercentage` field represents the percentage to be discounted if paid by the `discountPaymentDate`. It must be a positive number with up to 2 digits before the decimal point and up to 2 digits after. It cannot exceed 100%. The `discountPercentage2` field represents the percentage to be discounted if paid by the `discountPaymentDate2`. It must be a positive number with up to 2 digits before the decimal point and up to 2 digits after. It must be less then the `discountPercentage`. The `taxRatePercentage` field represents the tax rate applied to the line item. It must be a positive number. The `totalGrossAmount` field represents the total gross amount for the specific line item. It must be a number with up to 10 digits before the decimal point and up to 2 digits after. It cannot be zero. The `notes` field allows for additional information or comments related to the booking proposal. It cannot exceed 120 characters in length. The `number` field represents the document number. It must match the pattern: `^[a-zA-Z0-9$%&*\+\-/]{0,36}$`. The `orderId` field represents the order identifier associated with the booking proposal. It must match the pattern: `^[a-zA-Z0-9$%&*+\-./]{1,30}$`. For date format details visits the [`Standardized Data`](/standardization) section. The `paymentTermsId` field represents the identifier of the payment term associated with the booking proposal. It is max 3 characters long. It must includes only numbers. If provided, the discount fields are not allowed. The `totalGrossAmount` field represents the total gross amount for the entire booking proposal. It cannot be zero and must equal the sum of the `totalGrossAmount` of all line items. The `vatId` field represents the VAT identification number associated with the booking proposal. It must match pattern: `^[0-9a-zA-Z\. _]{1,15}$`. Available options: `INVOICE`, `BILL` The `files` array can be used to attach files to the booking proposal. The name of the uploaded files must include the file extension, for example `invoice.pdf`. The file name must not exceed 255 characters in length. The `folderManagement` object defines the three-level folder structure for a booking proposal. If not provided, the default structure will be used. The `category` field represents the top-level folder in the folder structure. The `folder` field represents the second-level folder in the folder structure. The `register` field represents the third-level folder in the folder structure. If you're not using the [Interactive Authentication Flow](/authentication#interactive-authentication-flow), make sure the query parameter `companyId` is correctly populated. You can obtain this value by using the `GET Companies` endpoint available under the Authentication section. Supported request parameters: ISO-8601 date format, e.g., 2024-01-01T00:00:00Z The `contactId` represents the contact associated with the booking proposal. If the `bookingType` is `BILL`, this must be the id of a supplier. If the booking type is `INVOICE`, this must be the id of a customer. Available options (3-letter ISO 4217): `AED`, `AFN`, `ALL`, `AMD`, `ANG`, `AOA`, `ARS`, `AUD`, `AWG`, `AZN`, `BAM`, `BBD`, `BDT`, `BGN`, `BHD`, `BIF`, `BMD`, `BND`, `BOB`, `BRL`, `BSD`, `BTN`, `BWP`, `BYR`, `BZD`, `CAD`, `CDF`, `CHF`, `CLP`, `CNY`, `COP`, `CRC`, `CUC`, `CVE`, `CZK`, `DJF`, `DKK`, `DOP`, `DZD`, `EEK`, `EGP`, `ERN`, `ETB`, `EUR`, `FJD`, `FKP`, `GBP`, `GEL`, `GHS`, `GIP`, `GMD`, `GNF`, `GQE`, `GTQ`, `GYD`, `HKD`, `HNL`, `HRK`, `HTG`, `HUF`, `IDR`, `ILS`, `INR`, `IQD`, `IRR`, `ISK`, `JMD`, `JOD`, `JPY`, `KES`, `KGS`, `KHR`, `KMF`, `KPW`, `KRW`, `KWD`, `KYD`, `KZT`, `LAK`, `LBP`, `LKR`, `LRD`, `LSL`, `LTL`, `LVL`, `LYD`, `MAD`, `MDL`, `MGA`, `MKD`, `MMK`, `MNT`, `MOP`, `MRO`, `MUR`, `MVR`, `MWK`, `MXN`, `MYR`, `MZM`, `NAD`, `NGN`, `NIO`, `NOK`, `NPR`, `NZD`, `OMR`, `PAB`, `PEN`, `PGK`, `PHP`, `PKR`, `PLN`, `PYG`, `QAR`, `RON`, `RSD`, `RUB`, `SAR`, `SBD`, `SCR`, `SDG`, `SEK`, `SGD`, `SHP`, `SLL`, `SOS`, `SRD`, `SYP`, `SZL`, `THB`, `TJS`, `TMT`, `TND`, `TRY`, `TTD`, `TWD`, `TZS`, `UAH`, `UGX`, `USD`, `UYU`, `UZS`, `VEB`, `VND`, `VUV`, `WST`, `XAF`, `XCD`, `XDR`, `XOF`, `XPF`, `YER`, `ZAR`, `ZMK`, `ZWR` ISO-8601 date format, e.g., 2024-01-01T00:00:00Z The `accountId` field specifies the id of the general ledger account linked to the individual line item within the booking proposal. The `dimension1` field represents the `name` of `CostCenter` category. The `dimension2` field represents the `name` of `CostUnit` category. If the `taxCode` is not provided, it will be set to the default tax code for the account. If the `taxCode` is provided and is of type INCLUSIVE, the `totalNetAmount` will be treated as a gross amount (i.e., including tax). The `paymentTermsId` field represents the `code` of the payment term associated with the booking proposal. To get the correct `code`, you can use the `GET PaymentTerms` endpoint. Available options: `INVOICE`, `BILL`, `INVOICE_CREDIT_NOTE` The file name must not exceed 255 characters in length. Supported request parameters: ISO-8601 date format, e.g., 2024-01-01T00:00:00Z The `contactId` field represents the id of the contact associated with the booking proposal. Required when `useCollectiveContact` flag is set to false. ISO-8601 date format, e.g., 2024-01-01T00:00:00Z It is only supported for booking proposals of type INVOICE. ISO-8601 date format, e.g., 2024-01-01T00:00:00Z The `accountId` field specifies the id of the posting category in Lexware that represents the general ledger account linked to the individual line item within the booking proposal. To get the correct `accountId`, you can use the `GET Accounts` endpoint. If set to true, `contactId` will be ignored. Available options: `BILL`, `INVOICE` The file name must not exceed 255 characters in length. If you're not using the [Interactive Authentication Flow](/authentication#interactive-authentication-flow), make sure the query parameter `companyId` is correctly populated. You can obtain this value by using the `GET Companies` endpoint available under the Authentication section. Supported request parameters: ISO-8601 date format, e.g., 2024-01-01T00:00:00Z It is required for booking proposals of type BILL. The `contactId` field represents the id of the contact associated with the booking proposal. ISO-8601 date format, e.g., 2024-01-01T00:00:00Z It is only supported for booking proposals of type BILL. The `accountId` field specifies the id of ledger account linked to the individual line item within the booking proposal. To get the correct `accountId`, you can use the `GET Accounts` endpoint. The `taxCode` field represents the tax code associated with the line item. To get the correct code, you can use the `GET TaxRates` endpoint. It is required for booking proposals of type BILL. The `number` field represents the reference number of the booking proposal. It is required for booking proposals of type BILL. The `paymentTermsId` field represents the reference or description of the payment term associated with the booking proposal. It is only supported for booking proposals of type INVOICE Available options: `BILL`, `INVOICE` The file name must not exceed 255 characters in length. Supported request parameters: For date format details visit the [`Standardized Data`](/standardization) section. The `contactAccountNumber` field represents the account number of the contact associated with the booking proposal. It must be a valid number. It is the customer account number for `INVOICE` or the vendor account number for `BILL`. The `accountCode` field specifies the code of the GL account linked to the individual line item within the booking proposal. To get the correct `accountCode`, you can use the `GET Accounts` endpoint. Available options: `BILL`, `INVOICE` Each file size must not exceed 10 MB. This endpoint is available only for the following countries: Accounting Plus: Canada, United Kingdom, Ireland
Accounting Standard: United Kingdom, Ireland
Accounting Start: Canada, United Kingdom, Ireland
When handling a new connection in your integration, it is advisable to first determine which subscription your customer is using to ensure compatibility. To do this, you can use the `GET Companies` call to retrieve all businesses available for the user. The user will then select one of these businesses. It is also a good practice to verify that the active property of the selected business is set to true before proceeding with the integration setup. Supported request parameters: ISO-8601 date format, e.g., 2024-01-01T00:00:00Z The `contactId` field represents the id of the contact associated with the booking proposal. ISO-8601 date format, e.g., 2024-01-01T00:00:00Z It is only supported higher subscription levels (Accounting Plus and Accounting Standard). The `accountId` field specifies the general ledger account linked to the individual line item within the invoice or bill. Available options: `GOODS`, `SERVICES` The `paymentTermsId` field represents the reference or description of the payment term associated with the booking proposal. Available options: `INVOICE`
Supported request parameters: For date format details visit the [`Standardized Data`](/standardization) section. The `contactId` field represents the id of the contact associated with the booking proposal. The `contactName` field represents the name of the contact associated with the booking proposal. Used when no `contactId` is provided. Available options (3-letter ISO 4217): `AED`, `AFN`, `ALL`, `AMD`, `ANG`, `AOA`, `ARS`, `AUD`, `AWG`, `AZN`, `BAM`, `BBD`, `BDT`, `BGN`, `BHD`, `BIF`, `BMD`, `BND`, `BOB`, `BRL`, `BSD`, `BTN`, `BWP`, `BYR`, `BZD`, `CAD`, `CDF`, `CHF`, `CLP`, `CNY`, `COP`, `CRC`, `CUC`, `CVE`, `CZK`, `DJF`, `DKK`, `DOP`, `DZD`, `EEK`, `EGP`, `ERN`, `ETB`, `EUR`, `FJD`, `FKP`, `GBP`, `GEL`, `GHS`, `GIP`, `GMD`, `GNF`, `GQE`, `GTQ`, `GYD`, `HKD`, `HNL`, `HRK`, `HTG`, `HUF`, `IDR`, `ILS`, `INR`, `IQD`, `IRR`, `ISK`, `JMD`, `JOD`, `JPY`, `KES`, `KGS`, `KHR`, `KMF`, `KPW`, `KRW`, `KWD`, `KYD`, `KZT`, `LAK`, `LBP`, `LKR`, `LRD`, `LSL`, `LTL`, `LVL`, `LYD`, `MAD`, `MDL`, `MGA`, `MKD`, `MMK`, `MNT`, `MOP`, `MRO`, `MUR`, `MVR`, `MWK`, `MXN`, `MYR`, `MZM`, `NAD`, `NGN`, `NIO`, `NOK`, `NPR`, `NZD`, `OMR`, `PAB`, `PEN`, `PGK`, `PHP`, `PKR`, `PLN`, `PYG`, `QAR`, `RON`, `RSD`, `RUB`, `SAR`, `SBD`, `SCR`, `SDG`, `SEK`, `SGD`, `SHP`, `SLL`, `SOS`, `SRD`, `SYP`, `SZL`, `THB`, `TJS`, `TMT`, `TND`, `TRY`, `TTD`, `TWD`, `TZS`, `UAH`, `UGX`, `USD`, `UYU`, `UZS`, `VEB`, `VND`, `VUV`, `WST`, `XAF`, `XCD`, `XDR`, `XOF`, `XPF`, `YER`, `ZAR`, `ZMK`, `ZWR` For date format details visit the [`Standardized Data`](/standardization) section. For date format details visit the [`Standardized Data`](/standardization) section. The `accountNumber` field specifies the general ledger account linked to the individual line item within the invoice or bill. Either the `totalGrossAmount` or `totalNetAmount` field must be provided. Either the `totalGrossAmount` or `totalNetAmount` field must be provided. For date format details visit the [`Standardized Data`](/standardization) section. Available options : `DRAFT`, `OPEN`\ A booking proposal must have status `OPEN` to be marked as paid via the `/payments` endpoint. Available options: `INVOICE`, `BILL` The file name must not exceed 255 characters in length. Supported request parameters: ISO-8601 date format, e.g., 2024-01-01T00:00:00Z Id of the related contact. For invoice proposals, this is the customer id. For bill proposals, this is the supplier id. The `accountId` field specifies the id of the general ledger account linked to the individual line item within the booking proposal. Note that if the `taxCode` is provided, the `taxRatePercentage` must be provided too.
Note that if the `taxRatePercentage` is provided, the `taxCode` must be provided too.
The number of days until the booking proposal is due.
Available options: `INVOICE`, `BILL`, `INVOICE_CREDIT_NOTE`, `BILL_CREDIT_NOTE` The file name must not exceed 255 characters in length.
Supported request fields: ISO-8601 date format, e.g., 2024-01-01T00:00:00Z The `contactId` field represents the id of the contact associated with the booking proposal. Available options: `BILL`, `INVOICE` Supported request parameters: ISO-8601 date format, e.g., 2024-01-01T00:00:00Z The `contactId` field represents the id of the contact associated with the booking proposal. The `currency` field supports **ISO 4217** (3-letter codes). For details visit the [`Standardized Data`](/standardization) section. ISO-8601 date format, e.g., 2024-01-01T00:00:00Z The `accountCode` field specifies the code of the general ledger account linked to the individual line item within the booking proposal. To get the correct code, you can use the `GET Accounts` endpoint. The `number` field represents the reference number for the booking proposal transaction. Available options: `DRAFT`, `SUBMITTED`, `OPEN`, `PAID`, `VOIDED`, `CANCELLED` Available options: `BILL`, `INVOICE` The file name must not exceed 255 characters in length.
# Create booking proposal async Source: https://docs.maesn.com/api-reference/accounting-endpoints/bookingproposals/create-booking-proposal-async POST /accounting/bookingProposals/async ## Field support per integration This endpoints is asynchronous. To check the status of the request, use the `GET asyncTask` endpoint. For more info about asynchronous tasks visit the [`Asynchronous Task`](/async-task) section. If you're not using the [Interactive Authentication Flow](/authentication#interactive-authentication-flow), make sure the query parameter `companyId` is accurately populated with the appropriate company ID. You can obtain this value by using the `GET Companies` endpoint available under the Authentication section. Supported request parameters: The `id` field represents the unique identifier of the booking proposal. The `id` must be a valid UUID; otherwise, it will be ignored. This field is only relevant and used `when uploading files` with the booking proposal. The `city` must not exceed 30 characters in length. The `bic` field must respect the following pattern: `^[A-Z]{4}[A-Z]{2}[A-Z0-9]{2}[A-Z0-9]{0,3}$`. Example: `DEUTDEFF`. The `code` must respect the following pattern: `^([1-9]|[0-9]{2,10})$` If `code` is provided, then `number` is required. Example: `37040044` The `iban` field must respect the following pattern: `^[A-Z]{2}[0-9]{2}[A-Z0-9]{1,30}$`. Example: `DE89370400440532013000`. The `number` field must be 1-10 digits long and includes only numbers. If `number` is provided, then `code` is required. Example: `532013000` For date format details visits the [`Standardized Data`](/standardization) section. The `accountNumber` field represents the account number of the contact associated with the booking proposal. It must be a valid number. The length must be equal to the account configured length + 1. It is the customer account number for `INVOICE` and `CREDIT_NOTE` or the vendor account number for `BILL` and `VENDOR_CREDIT`. The `name` field represents the name of the contact associated with the booking proposal. It cannot exceed 50 characters in length. The `currency` field supports **ISO 4217** (3-letter codes). For details visits the [`Standardized Data`](/standardization) section. For date format details visits the [`Standardized Data`](/standardization) section. For date format details visits the [`Standardized Data`](/standardization) section. The `discountPaymentDate` field represents the date until which a discount (`discountAmount` and `discountPercentage` in line items) can be applied to the payment. If `discountPaymentDate` is provided, then `discountAmount` and `discountPercentage` are required for each line item. Its value must be earlier than the `dueDate` and later than the `bookingProposalDate`. For date format details visits the [`Standardized Data`](/standardization) section. The `discountPaymentDate2` field represents the date until which a discount (`discountAmount2` and `discountPercentage2` in line items) can be applied to the payment. If provided, `discountPaymentDate`, `discountAmount`, `discountPercentage`, `discountAmount2` and `discountPercentage2` are required for each line item. Its value must be earlier than the `dueDate` and later than the `bookingProposalDate` and `discountPaymentDate`. For date format details visits the [`Standardized Data`](/standardization) section. The `dueDate` field represents the date by which the payment for the booking proposal is expected to be made. It is required when discount fields are provided. It must be after the `bookingProposalDate`. If not provided, the fallback value `Integration` will be used. The `isPaymentOrder` field determines whether a payment instruction (transfer for bills or direct debit for invoices) should be automatically created when the booking proposal is processed. It must be `false` if `paymentTermId` is equal to `9`. The `ledgerName` field represents the name of the correct ledger folder where the data will be sent to. To get the correct name, you can use the `GET Accounts` endpoint. For `INVOICE` and `CREDIT_NOTE` booking proposals, the `ledgerName` must be of type `ACCOUNT_RECEIVABLE`, and for `BILL` and `VENDOR_CREDIT` booking proposals, it must be of type `ACCOUNT_PAYABLE`. Depending on the Rechnungsdatenschnittstelle (invoice data interface) settings in DATEV Unternehmen Online, either a single booking proposal or one booking proposal per line item is created. Please check your configuration to ensure the desired behavior. The `name` field specifies the name of the general ledger account linked to the individual line item. It cannot exceed 40 characters in length. The `number` field specifies the general ledger account linked to the individual line item. It must be a valid number. The length must be equal to the account configured length. The `description` field provides details about the specific line item in the booking proposal. It cannot exceed 60 characters in length. Only 2 dimensions are allowed per line item. The `name` field specifies the name of the dimension associated with the line item. It cannot exceed 36 characters in length. It must follow the pattern : `^([\S][\S ]{0,34}[\S]|[\S]{0,1})$`. Example: `Marketing`. The `discountAmount` field represents the fixed amount to be discounted if paid by the `discountPaymentDate`. It must be a positive number with up to 8 digits before the decimal point and exactly 2 digits after. It cannot exceed the line item's `totalGrossAmount`. The `discountAmount2` field represents the fixed amount to be discounted if paid by the `discountPaymentDate2`. It must be a positive number with up to 8 digits before the decimal point and exactly 2 digits after. It cannot exceed the line item's `totalGrossAmount` and the `discountAmount`. The `discountPercentage` field represents the percentage to be discounted if paid by the `discountPaymentDate`. It must be a positive number with up to 2 digits before the decimal point and up to 2 digits after. It cannot exceed 100%. The `discountPercentage2` field represents the percentage to be discounted if paid by the `discountPaymentDate2`. It must be a positive number with up to 2 digits before the decimal point and up to 2 digits after. It must be less then the `discountPercentage`. The `taxCode` field represents the BU code associated with the line item. It must be max 4 characters long. Only numbers are allowed. The `taxRatePercentage` field represents the tax rate applied to the line item. It must be a positive number. The `totalGrossAmount` field represents the total gross amount for the specific line item. It must be a number with up to 10 digits before the decimal point and up to 2 digits after. It cannot be zero. The `notes` field allows for additional information or comments related to the booking proposal. It cannot exceed 120 characters in length. The `number` field represents the document number. It must match the pattern: `^[a-zA-Z0-9$%&*\+\-/]{0,36}$`. The `orderId` field represents the order identifier associated with the booking proposal. It must match the pattern: `^[a-zA-Z0-9$%&*+\-./]{1,30}$`. For date format details visits the [`Standardized Data`](/standardization) section. The `paymentTermId` field represents the identifier of the payment term associated with the booking proposal. It is max 3 characters long. It must includes only numbers. If provided, the discount fields are not allowed. The `totalGrossAmount` field represents the total gross amount for the entire booking proposal. It cannot be zero and must equal the sum of the `totalGrossAmount` of all line items. It must always be a positive amount. The bookingType (INVOICE, BILL, CREDIT\_NOTE, VENDOR\_CREDIT) determines the document type. The `vatId` field represents the VAT identification number associated with the booking proposal. It must match pattern: `^[0-9a-zA-Z\. _]{1,15}$`. Available options: `INVOICE`, `BILL`, `CREDIT_NOTE`, `VENDOR_CREDIT` The `files` array can be used to attach files to the booking proposal. The name of the uploaded files must include the file extension, for example `invoice.pdf`. The `folderManagement` object defines the three-level folder structure for a booking proposal. If not provided, the default structure will be used. The `category` field represents the top-level folder in the folder structure. The `folder` field represents the second-level folder in the folder structure. The `register` field represents the third-level folder in the folder structure. This endpoint is asynchronous. To check the status of the request, use the `GET asyncTask` endpoint. For more info about asynchronous tasks visit the [`Asynchronous Task`](/async-task) section. Supported request parameters: The `id` field represents the Lexware Office contact ID associated with the booking proposal. Required when `useCollectiveContact` flag is set to `false`. For date format details visit the [`Standardized Data`](/standardization) section. For date format details visit the [`Standardized Data`](/standardization) section. Only supported for `bookingType: INVOICE`. Providing this field for `BILL` will result in a validation error. For date format details visit the [`Standardized Data`](/standardization) section. The `id` field specifies the Lexware Office category (account) ID linked to the line item. Must be a positive number. The `totalGrossAmount` field represents the total gross amount for the line item. It must have at most 2 decimal places. The `totalGrossAmount` field represents the total gross amount for the entire booking proposal. It must have at most 2 decimal places. If set to `true`, contact will be ignored. Available options: `INVOICE`, `BILL`. The `files` array can be used to attach a file to the booking proposal. Only one file is supported. The file name must include the extension, for example `invoice.pdf`. This endpoint is asynchronous. To check the status of the request, use the `GET asyncTask` endpoint. For more info about asynchronous tasks visit the [`Asynchronous Task`](/async-task) section. Supported request parameters: For date format details visit the [`Standardized Data`](/standardization) section. The `id` field represents the SevDesk contact ID associated with the booking proposal. The `name` field represents the name of the contact (supplier name). Used when no `id` is provided. For details visit the [`Standardized Data`](/standardization) section. For date format details visit the [`Standardized Data`](/standardization) section. For date format details visit the [`Standardized Data`](/standardization) section. Must be a positive number. Required if `totalNetAmount` is not provided. Required if `totalGrossAmount` is not provided. For date format details visit the [`Standardized Data`](/standardization) section. The `status` field controls the voucher status. Accepted values: `DRAFT`, `OPEN`. Available options: `INVOICE`, `BILL`, `CREDIT_NOTE`, `VENDOR_CREDIT`. The `files` array can be used to attach a file to the booking proposal. Only one file is supported. The file name must include the extension, for example `invoice.pdf`. # Get booking proposal Source: https://docs.maesn.com/api-reference/accounting-endpoints/bookingproposals/get-booking-proposal get /accounting/bookingProposals/{bookingProposalId} ## Field support per integration Query parameters: Supported response fields: ISO-8601 date format, e.g., 2024-01-01T00:00:00Z Available options: `INVOICE`, `BILL` ISO-8601 date format, e.g., 2024-01-01T00:00:00Z The `currency` field supports **ISO 4217** (3-letter codes). For details visit the [`Standardized Data`](/standardization) section. ISO-8601 date format, e.g., 2024-01-01T00:00:00Z ISO-8601 date format, e.g., 2024-01-01T00:00:00Z ISO-8601 date format, e.g., 2024-01-01T00:00:00Z Available options: `OPEN`, `PAID` The endpoint only works with `bookingProposalId` that is associated with the following types: `INVOICE`, `BILL`, `INVOICE_CREDIT_NOTE`,`BILL_CREDIT_NOTE` Query parameters: Supported response fields: ISO-8601 date format, e.g., 2024-01-01T00:00:00Z Available options : `INVOICE`, `BILL`, `INVOICE_CREDIT_NOTE`,`BILL_CREDIT_NOTE` ISO-8601 date format, e.g., 2024-01-01T00:00:00Z Available options (3-letter ISO 4217): `EUR` ISO-8601 date format, e.g., 2024-01-01T00:00:00Z ISO-8601 date format, e.g., 2024-01-01T00:00:00Z Available options : `DRAFT`, `SUBMITTED`, `OPEN`, `PAID`, `VOIDED`, `OVERDUE` ISO-8601 date format, e.g., 2024-01-01T00:00:00Z Query parameters: Supported response fields: ISO-8601 date format, e.g., 2024-01-01T00:00:00Z Available options : `INVOICE`, `BILL`, `CREDIT_NOTE`, `OTHER` ISO-8601 date format, e.g., 2024-01-01T00:00:00Z Available options (3-letter ISO 4217): `AED`, `AFN`, `ALL`, `AMD`, `ANG`, `AOA`, `ARS`, `AUD`, `AWG`, `AZN`, `BAM`, `BBD`, `BDT`, `BGN`, `BHD`, `BIF`, `BMD`, `BND`, `BOB`, `BRL`, `BSD`, `BTN`, `BWP`, `BYR`, `BZD`, `CAD`, `CDF`, `CHF`, `CLP`, `CNY`, `COP`, `CRC`, `CUC`, `CVE`, `CZK`, `DJF`, `DKK`, `DOP`, `DZD`, `EEK`, `EGP`, `ERN`, `ETB`, `EUR`, `FJD`, `FKP`, `GBP`, `GEL`, `GHS`, `GIP`, `GMD`, `GNF`, `GQE`, `GTQ`, `GYD`, `HKD`, `HNL`, `HRK`, `HTG`, `HUF`, `IDR`, `ILS`, `INR`, `IQD`, `IRR`, `ISK`, `JMD`, `JOD`, `JPY`, `KES`, `KGS`, `KHR`, `KMF`, `KPW`, `KRW`, `KWD`, `KYD`, `KZT`, `LAK`, `LBP`, `LKR`, `LRD`, `LSL`, `LTL`, `LVL`, `LYD`, `MAD`, `MDL`, `MGA`, `MKD`, `MM
[...]
